;=========================================================================
(defun c:rura ( / dcl_id DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur zamkniecie dn promien GrIzol PoczatekRury KoniecRury )

(mh:ustzap)


   (setq dcl_id (load_dialog "profilek-rury.dcl"))
	   (if (not (new_dialog "przelot" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-rury.dcl")
			(exit)
			);progn
		);if
		
		
 ;==================
(if (null *DCL_parametry_rur*)
	(setq *DCL_parametry_rur* (list "50.0" "0.0" "32.0" "0.0" "1.0" "cm"))
  );if  
	 (setq	DCL_dn (nth 0 *DCL_parametry_rur*)
			DCL_GrIzol (nth 1 *DCL_parametry_rur*)
			DCL_dnod (nth 2 *DCL_parametry_rur*)
			DCL_GrIzolod (nth 3 *DCL_parametry_rur*)
			DCL_Rgiecia (nth 4 *DCL_parametry_rur*)
			DCL_Jednrur (nth 5 *DCL_parametry_rur*)
      );setq 
;==================
      (foreach % (list "DCL_dn" "DCL_GrIzol" "DCL_Jednrur")
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;==================	  
	
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
		
			(if (= zamkniecie 1)
			   (progn
						(setq *DCL_parametry_rur* (list DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur))
			  );progn
		);if	
		
;=========================================================================
(if (> (distof (mh:MsgCommaToDot DCL_dn) 2) 0)
(setq dn (distof (mh:MsgCommaToDot DCL_dn) 2))
(progn
(alert "rednica nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzol) 2) 0)
(setq GrIzol (distof (mh:MsgCommaToDot DCL_GrIzol) 2))
(progn
(alert "Grubo izolacji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	
;=========================================================================

(if (= zamkniecie 1)
(progn


;===========================================================
(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penychg" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================


(mh:warstwydorur)

;ustalenie rednicy waciwej rury na podstawie rednicy nominalnej
(if (= dn 6) (setq promien 0.51))
(if (= dn 8) (setq promien 0.675))
(if (= dn 10) (setq promien 0.86))
(if (= dn 15) (setq promien 1.065))
(if (= dn 20) (setq promien 1.345))
(if (= dn 25) (setq promien 1.685))
(if (= dn 32) (setq promien 2.12))
(if (= dn 40) (setq promien 2.415))
(if (= dn 50) (setq promien 3.015))
(if (= dn 65) (setq promien 3.805))
(if (= dn 80) (setq promien 4.445))
(if (= dn 100) (setq promien 5.715))
(if (= dn 125) (setq promien 6.985))
(if (= dn 150) (setq promien 8.255))
(if (= dn 200) (setq promien 10.955))
(if (= dn 250) (setq promien 13.65))
(if (= dn 300) (setq promien 16.195))
(if (and (/= dn 6) (/= dn 8) (/= dn 10) (/= dn 15) (/= dn 20) (/= dn 25) (/= dn 32) (/= dn 40) (/= dn 50) (/= dn 65) (/= dn 80) (/= dn 100) (/= dn 125) (/= dn 150) (/= dn 200) (/= dn 250) (/= dn 300))
(setq promien (/ dn 20))
);if


;=============================================================
(setq	PoczatekRury (getpoint "\nWska pocztek rury.")
		KoniecRury (getpoint PoczatekRury "\nWska koniec rury.")
);setq
;=============================================================

(cond
	(	(= DCL_Jednrur "mm")
		(setq	promien	(* promien 10.0)
				GrIzol	(* GrIzol 10.0)
		))
	(	(= DCL_Jednrur "cm")
		(setq	promien	(* promien 1.0)
				GrIzol	(* GrIzol 1.0)
		))
	(	(= DCL_Jednrur "m")
		(setq	promien	(* promien 0.01)
				GrIzol	(* GrIzol 0.01)
		))
);cond

(mh:rura3l PoczatekRury KoniecRury promien GrIzol)


);progn
);if

		
(mh:ustprzywr)
);defun rura
;=========================================================================

;=========================================================================
(defun c:l2rura ( / dcl_id DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur zamkniecie dn promien GrIzol zbior ilosclinii nnn xxx opislinii AA BB PoczatekRury KoniecRury)

(mh:ustzap)


   (setq dcl_id (load_dialog "profilek-rury.dcl"))
	   (if (not (new_dialog "przelot" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-rury.dcl")
			(exit)
			);progn
		);if
		
		
 ;==================
(if (null *DCL_parametry_rur*)
	(setq *DCL_parametry_rur* (list "50.0" "0.0" "32.0" "0.0" "1.0" "cm"))
  );if  
	 (setq	DCL_dn (nth 0 *DCL_parametry_rur*)
			DCL_GrIzol (nth 1 *DCL_parametry_rur*)
			DCL_dnod (nth 2 *DCL_parametry_rur*)
			DCL_GrIzolod (nth 3 *DCL_parametry_rur*)
			DCL_Rgiecia (nth 4 *DCL_parametry_rur*)
			DCL_Jednrur (nth 5 *DCL_parametry_rur*)
      );setq 
;==================
      (foreach % (list "DCL_dn" "DCL_GrIzol" "DCL_Jednrur")
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;==================	  
	
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
		
			(if (= zamkniecie 1)
			   (progn
						(setq *DCL_parametry_rur* (list DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur))
			  );progn
		);if	
		
;=========================================================================
(if (> (distof (mh:MsgCommaToDot DCL_dn) 2) 0)
(setq dn (distof (mh:MsgCommaToDot DCL_dn) 2))
(progn
(alert "rednica nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzol) 2) 0)
(setq GrIzol (distof (mh:MsgCommaToDot DCL_GrIzol) 2))
(progn
(alert "Grubo izolacji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	
;=========================================================================

(if (= zamkniecie 1)
(progn


;===========================================================
(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penychg" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================


(mh:warstwydorur)

;ustalenie rednicy waciwej rury na podstawie rednicy nominalnej
(if (= dn 6) (setq promien 0.51))
(if (= dn 8) (setq promien 0.675))
(if (= dn 10) (setq promien 0.86))
(if (= dn 15) (setq promien 1.065))
(if (= dn 20) (setq promien 1.345))
(if (= dn 25) (setq promien 1.685))
(if (= dn 32) (setq promien 2.12))
(if (= dn 40) (setq promien 2.415))
(if (= dn 50) (setq promien 3.015))
(if (= dn 65) (setq promien 3.805))
(if (= dn 80) (setq promien 4.445))
(if (= dn 100) (setq promien 5.715))
(if (= dn 125) (setq promien 6.985))
(if (= dn 150) (setq promien 8.255))
(if (= dn 200) (setq promien 10.955))
(if (= dn 250) (setq promien 13.65))
(if (= dn 300) (setq promien 16.195))
(if (and (/= dn 6) (/= dn 8) (/= dn 10) (/= dn 15) (/= dn 20) (/= dn 25) (/= dn 32) (/= dn 40) (/= dn 50) (/= dn 65) (/= dn 80) (/= dn 100) (/= dn 125) (/= dn 150) (/= dn 200) (/= dn 250) (/= dn 300))
(setq promien (/ dn 20))
);if

(cond
	(	(= DCL_Jednrur "mm")
		(setq	promien	(* promien 10.0)
				GrIzol	(* GrIzol 10.0)
		))
	(	(= DCL_Jednrur "cm")
		(setq	promien	(* promien 1.0)
				GrIzol	(* GrIzol 1.0)
		))
	(	(= DCL_Jednrur "m")
		(setq	promien	(* promien 0.01)
				GrIzol	(* GrIzol 0.01)
		))
);cond


(princ "\nZaznacz linie do tworzenia rur:")
(setq 	zbior (ssget '((-4 . "<OR")(0 . "line")(-4 . "OR>")) ) ;zmienna "zbior" to wybrane linie
		ilosclinii (sslength zbior)
		nnn ilosclinii
);setq

(repeat ilosclinii
(setq 	xxx (- ilosclinii nnn)
		opislinii (entget (ssname zbior xxx))) ; zmienna opislinii jest list zmiennych opisujc parametry linii

;pobra wsprzedne pocztku i koca linii,
(setq 	AA (assoc 10 opislinii); AA to symboliczne opisanie pocztku linii
		BB (assoc 11 opislinii); BB to symboliczne opisanie koca linii
		PoczatekRury (cdr AA); AAA to wsprzdne pocztku linii
		KoniecRury (cdr BB); BBB to wsprzdne koca linii
		PoczatekRury (trans PoczatekRury 0 1)
		KoniecRury (trans KoniecRury 0 1)
);setq

(entdel (cdr (assoc -1 opislinii)))


;=============================================================


(mh:rura3l PoczatekRury KoniecRury promien GrIzol)


(setq nnn (1- nnn));setq
);repeat



);progn
);if

(mh:ustprzywr)

);defun l2rura
;=========================================================================

;=========================================================================
(defun c:ruratrasa ( / dcl_id DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur zamkniecie dn GrIzol promien P1 P2 P3 katAA katBB katKolana ukos cofniecie P12 CzyKonczyc )
(mh:ustzap)


   (setq dcl_id (load_dialog "profilek-rury.dcl"))
	   (if (not (new_dialog "ruratrasa" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-rury.dcl")
			(exit)
			);progn
		);if
		
		
 ;==================
(if (null *DCL_parametry_rur*)
	(setq *DCL_parametry_rur* (list "50.0" "0.0" "32.0" "0.0" "1.0" "cm"))
  );if  
	 (setq	DCL_dn (nth 0 *DCL_parametry_rur*)
			DCL_GrIzol (nth 1 *DCL_parametry_rur*)
			DCL_dnod (nth 2 *DCL_parametry_rur*)
			DCL_GrIzolod (nth 3 *DCL_parametry_rur*)
			DCL_Rgiecia (nth 4 *DCL_parametry_rur*)
			DCL_Jednrur (nth 5 *DCL_parametry_rur*)
      );setq 

;==================
      (foreach % (list "DCL_dn" "DCL_GrIzol" "DCL_Rgiecia" "DCL_Jednrur")
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;==================	  
	
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
		
			(if (= zamkniecie 1)
			   (progn
						(setq *DCL_parametry_rur* (list DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur))
			  );progn
			);if	
		
;=========================================================================
(if (> (distof (mh:MsgCommaToDot DCL_dn) 2) 0)
(setq dn (distof (mh:MsgCommaToDot DCL_dn) 2))
(progn
(alert "rednica nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzol) 2) 0)
(setq GrIzol (distof (mh:MsgCommaToDot DCL_GrIzol) 2))
(progn
(alert "Grubo izolacji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	
;=========================================================================



(if (= zamkniecie 1)
(progn

(mh:warstwydorur)


;ustalenie rednicy waciwej rury na podstawie rednicy nominalnej
(if (= dn 6) (setq promien 0.51))
(if (= dn 8) (setq promien 0.675))
(if (= dn 10) (setq promien 0.86))
(if (= dn 15) (setq promien 1.065))
(if (= dn 20) (setq promien 1.345))
(if (= dn 25) (setq promien 1.685))
(if (= dn 32) (setq promien 2.12))
(if (= dn 40) (setq promien 2.415))
(if (= dn 50) (setq promien 3.015))
(if (= dn 65) (setq promien 3.805))
(if (= dn 80) (setq promien 4.445))
(if (= dn 100) (setq promien 5.715))
(if (= dn 125) (setq promien 6.985))
(if (= dn 150) (setq promien 8.255))
(if (= dn 200) (setq promien 10.955))
(if (= dn 250) (setq promien 13.65))
(if (= dn 300) (setq promien 16.195))
(if (and (/= dn 6) (/= dn 8) (/= dn 10) (/= dn 15) (/= dn 20) (/= dn 25) (/= dn 32) (/= dn 40) (/= dn 50) (/= dn 65) (/= dn 80) (/= dn 100) (/= dn 125) (/= dn 150) (/= dn 200) (/= dn 250) (/= dn 300))
(setq promien (/ dn 20))
);if


(cond
	(	(= DCL_Jednrur "mm")
		(setq	promien	(* promien 10.0)
				GrIzol	(* GrIzol 10.0)
		))
	(	(= DCL_Jednrur "cm")
		(setq	promien	(* promien 1.0)
				GrIzol	(* GrIzol 1.0)
		))
	(	(= DCL_Jednrur "m")
		(setq	promien	(* promien 0.01)
				GrIzol	(* GrIzol 0.01)
		))
);cond



(setq	P1 (getpoint "\nKliknij pierwszy punkt trasy rurocigu.")
		P2 (getpoint P1 "\nKliknij drugi punkt trasy rurocigu.")
		P3 (getpoint P2 "\nKliknij kolejny punkt trasy rurocigu.")
);setq



(if (= DCL_Rgiecia "1.0")
(progn    ;ten progn na R=1,0
(while P3

						(setq	katAA (angle P2 P1)
								katBB (angle P2 P3)
								katKolana (- katAA katBB))
						(if (< katKolana 0) (setq katKolana (+ katKolana (* 2 pi))))
						(if (> katKolana (* 2 pi)) (setq katKolana (- katKolana (* 2 pi))))
						(setq ukos (/ (* 2 promien) (sin (/ (- (* 2 pi) katKolana) 2)))) ; odleglosc srodka giecia do kropki kolana
						(setq cofniecie (sqrt (- (* ukos ukos) (* (* 2 promien) (* 2 promien))))) ;obliczone z twierdz pitagorasa

(if	(and
		(> (distance P1 P2) cofniecie)
		(> (distance P2 P3) cofniecie)
		(and (> (abs (- (angle P2 P1) (angle P2 P3))) (* pi 0.499)) (< (abs (- (angle P2 P1) (angle P2 P3))) (* pi 1.501)))
	)
	
	(progn
			(mh:kolano1r P2 P1 P3 promien GrIzol)
						(setq	katAA (angle P2 P1)
								katBB (angle P2 P3)
								katKolana (- katAA katBB))
						(if (< katKolana 0) (setq katKolana (+ katKolana (* 2 pi))))
						(if (> katKolana (* 2 pi)) (setq katKolana (- katKolana (* 2 pi))))
						(setq ukos (/ (* 2 promien) (sin (/ (- (* 2 pi) katKolana) 2)))) ; odleglosc srodka giecia do kropki kolana
						(setq cofniecie (sqrt (- (* ukos ukos) (* (* 2 promien) (* 2 promien))))) ;obliczone z twierdz pitagorasa
			(setq	P12 (polar P2 (angle P2 P1) cofniecie)
					P2 (polar P2 (angle P2 P3) cofniecie))
			(mh:rura3l P1 P12 promien GrIzol)
	);progn

	(progn
			(setq	P12 (polar P2 (angle P2 P1) 0)
					P2 (polar P2 (angle P2 P3) 0))
			(mh:rura3l P1 P12 promien GrIzol)
	);progn na nie
	
);if

(setq	P1 P2
		P2 P3
		P3 (getpoint P2 "\nKliknij kolejny punkt trasy rurocigu.")
);setq
);while

	(setq CzyKonczyc (mh:GetChoisText "\nDorysowa rur do koca?" '("Tak" "Nie") "Tak"))
	
		(if (= CzyKonczyc "Tak")
			(progn
				(mh:rura3l P1 P2 promien GrIzol)
			);progn
		);if
);progn


(progn    ;ten progn na R=1,5
(while P3

						(setq	katAA (angle P2 P1)
								katBB (angle P2 P3)
								katKolana (- katAA katBB))
						(if (< katKolana 0) (setq katKolana (+ katKolana (* 2 pi))))
						(if (> katKolana (* 2 pi)) (setq katKolana (- katKolana (* 2 pi))))
						(setq ukos (/ (* 3 promien) (sin (/ (- (* 2 pi) katKolana) 2)))) ; odleglosc srodka giecia do kropki kolana
						(setq cofniecie (sqrt (- (* ukos ukos) (* (* 3 promien) (* 3 promien))))) ;obliczone z twierdz pitagorasa

(if	(and
		(> (distance P1 P2) cofniecie)
		(> (distance P2 P3) cofniecie)
		(and (> (abs (- (angle P2 P1) (angle P2 P3))) (* pi 0.499)) (< (abs (- (angle P2 P1) (angle P2 P3))) (* pi 1.501)))
	)
	
	(progn
			(mh:kolano1_5r P2 P1 P3 promien GrIzol)
						(setq	katAA (angle P2 P1)
								katBB (angle P2 P3)
								katKolana (- katAA katBB))
						(if (< katKolana 0) (setq katKolana (+ katKolana (* 2 pi))))
						(if (> katKolana (* 2 pi)) (setq katKolana (- katKolana (* 2 pi))))
						(setq ukos (/ (* 3 promien) (sin (/ (- (* 2 pi) katKolana) 2)))) ; odleglosc srodka giecia do kropki kolana
						(setq cofniecie (sqrt (- (* ukos ukos) (* (* 3 promien) (* 3 promien))))) ;obliczone z twierdz pitagorasa
			(setq	P12 (polar P2 (angle P2 P1) cofniecie)
					P2 (polar P2 (angle P2 P3) cofniecie))
			(mh:rura3l P1 P12 promien GrIzol)
	);progn

	(progn
			(setq	P12 (polar P2 (angle P2 P1) 0)
					P2 (polar P2 (angle P2 P3) 0))
			(mh:rura3l P1 P12 promien GrIzol)
	);progn na nie
	
);if

(setq	P1 P2
		P2 P3
		P3 (getpoint P2 "\nKliknij kolejny punkt trasy rurocigu.")
);setq
);while

	(setq CzyKonczyc (mh:GetChoisText "\nDorysowa rur do koca?" '("Tak" "Nie") "Tak"))
	
		(if (= CzyKonczyc "Tak")
			(progn
				(mh:rura3l P1 P2 promien GrIzol)
			);progn
		);if
);progn


);if


);progn
);if
(mh:ustprzywr)
);defun
;=========================================================================

;=========================================================================
(defun mh:rura3l ( PoczatekRury KoniecRury promien GrIzol / PoczatekRury KoniecRury promien GrIzol katalfa punkttemp1 punkttemp1izol punkttemp2 punkttemp2izol punkttemp3 punkttemp3izol punkttemp4 punkttemp4izol ) ;   - czy dane wejsciowe powinno sie wpisac w zmiennych lokalnych????

	(setvar "CLAYER" "IS_rury_czarne_os")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_line" PoczatekRury KoniecRury "");rysuje o rury
		(setvar "CLAYER" *START_WARSTWA*)
		(setvar "CECOLOR" *START_KOLOR*)
		(setvar "CELTYPE" *START_STYL_LINII*)
		(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)

(setq	katalfa (angle PoczatekRury KoniecRury)
		punkttemp1 (polar PoczatekRury (+ katalfa (/ pi 2)) promien)
		punkttemp1izol (polar PoczatekRury (+ katalfa (/ pi 2)) (+ promien (/ GrIzol 10)))
		punkttemp2 (polar KoniecRury (+ katalfa (/ pi 2)) promien)
		punkttemp2izol (polar KoniecRury (+ katalfa (/ pi 2)) (+ promien (/ GrIzol 10)))
		punkttemp3 (polar PoczatekRury (- katalfa (/ pi 2)) promien)
		punkttemp3izol (polar PoczatekRury (- katalfa (/ pi 2)) (+ promien (/ GrIzol 10)))
		punkttemp4 (polar KoniecRury (- katalfa (/ pi 2)) promien)
		punkttemp4izol (polar KoniecRury (- katalfa (/ pi 2)) (+ promien (/ GrIzol 10)))
);setq
(command "_line" punkttemp1 punkttemp2 "");rysuje lewy bok rury
(command "_line" punkttemp3 punkttemp4 "");rysuje prawy bok rury
(if (> GrIzol 0)
	(progn
		(setvar "CLAYER" "IS_rury_czarne_izolacja")
		(setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		(command "_line" punkttemp1izol punkttemp2izol "");rysuje lewy bok izolacji
		(command "_line" punkttemp3izol punkttemp4izol "");rysuje prawy bok izolacji
			(setvar "CLAYER" *START_WARSTWA*)
			(setvar "CECOLOR" *START_KOLOR*)
			(setvar "CELTYPE" *START_STYL_LINII*)
			(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
	);progn
);if
);defun mh:rura3l
;=========================================================================

;=========================================================================
(defun c:trojnikczarny ( / dcl_id DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur zamkniecie dn GrIzol dnod GrIzolod OsKolana ObrTru promien promienod punktA2 punktA1 punktA1izol punktA3 punktA3izol punktD1 punktD1izol punktB2 punktB1 punktB1izol punktB3 punktB3izol punktD2 punktD2izol punktC2 punktC1 punktC1izol punktC3 punktC3izol )

(mh:ustzap)


   (setq dcl_id (load_dialog "profilek-rury.dcl"))
	   (if (not (new_dialog "trojnik" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-rury.dcl")
			(exit)
			);progn
		);if
		
		
 ;==================
(if (null *DCL_parametry_rur*)
	(setq *DCL_parametry_rur* (list "50.0" "0.0" "32.0" "0.0" "1.0" "cm"))
  );if  
	 (setq	DCL_dn (nth 0 *DCL_parametry_rur*)
			DCL_GrIzol (nth 1 *DCL_parametry_rur*)
			DCL_dnod (nth 2 *DCL_parametry_rur*)
			DCL_GrIzolod (nth 3 *DCL_parametry_rur*)
			DCL_Rgiecia (nth 4 *DCL_parametry_rur*)
			DCL_Jednrur (nth 5 *DCL_parametry_rur*)
      );setq 
;==================
      (foreach % (list "DCL_dn" "DCL_GrIzol" "DCL_dnod" "DCL_GrIzolod" "DCL_Jednrur")
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;==================	  
	
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
		
			(if (= zamkniecie 1)
			   (progn
						(setq *DCL_parametry_rur* (list DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur))
			  );progn
		);if	
		
;=========================================================================
(if (> (distof (mh:MsgCommaToDot DCL_dn) 2) 0)
(setq dn (distof (mh:MsgCommaToDot DCL_dn) 2))
(progn
(alert "rednica rury przelotowej nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzol) 2) 0)
(setq GrIzol (distof (mh:MsgCommaToDot DCL_GrIzol) 2))
(progn
(alert "Grubo izolacji rury gwnej nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (> (distof (mh:MsgCommaToDot DCL_dnod) 2) 0)
(setq dnod (distof (mh:MsgCommaToDot DCL_dnod) 2))
(progn
(alert "rednica odejcia nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzolod) 2) 0)
(setq GrIzolod (distof (mh:MsgCommaToDot DCL_GrIzolod) 2))
(progn
(alert "Grubo izolacji odejcia  nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)
;=========================================================================

(if (= zamkniecie 1)
(progn

;===========================================================
(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penychg" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================


(mh:warstwydorur)


;=============================================================
(setq	OsKolana (getpoint "\nWska punkt wstawienia trjnika.")
		ObrTru (getangle OsKolana "\nWska kierunek odejcia")
		ObrTru (- ObrTru (/ pi 2))
);setq
;=============================================================


;ustalenie rednicy waciwej rury na podstawie rednicy nominalnej
(if (= dn 6) (setq promien 0.51))
(if (= dn 8) (setq promien 0.675))
(if (= dn 10) (setq promien 0.86))
(if (= dn 15) (setq promien 1.065))
(if (= dn 20) (setq promien 1.345))
(if (= dn 25) (setq promien 1.685))
(if (= dn 32) (setq promien 2.12))
(if (= dn 40) (setq promien 2.415))
(if (= dn 50) (setq promien 3.015))
(if (= dn 65) (setq promien 3.805))
(if (= dn 80) (setq promien 4.445))
(if (= dn 100) (setq promien 5.715))
(if (= dn 125) (setq promien 6.985))
(if (= dn 150) (setq promien 8.255))
(if (= dn 200) (setq promien 10.955))
(if (= dn 250) (setq promien 13.65))
(if (= dn 300) (setq promien 16.195))
(if (and (/= dn 6) (/= dn 8) (/= dn 10) (/= dn 15) (/= dn 20) (/= dn 25) (/= dn 32) (/= dn 40) (/= dn 50) (/= dn 65) (/= dn 80) (/= dn 100) (/= dn 125) (/= dn 150) (/= dn 200) (/= dn 250) (/= dn 300))
(setq promien (/ dn 20))
);if

(if (= dnod 6) (setq promienod 0.51))
(if (= dnod 8) (setq promienod 0.675))
(if (= dnod 10) (setq promienod 0.86))
(if (= dnod 15) (setq promienod 1.065))
(if (= dnod 20) (setq promienod 1.345))
(if (= dnod 25) (setq promienod 1.685))
(if (= dnod 32) (setq promienod 2.12))
(if (= dnod 40) (setq promienod 2.415))
(if (= dnod 50) (setq promienod 3.015))
(if (= dnod 65) (setq promienod 3.805))
(if (= dnod 80) (setq promienod 4.445))
(if (= dnod 100) (setq promienod 5.715))
(if (= dnod 125) (setq promienod 6.985))
(if (= dnod 150) (setq promienod 8.255))
(if (= dnod 200) (setq promienod 10.955))
(if (= dnod 250) (setq promienod 13.65))
(if (= dnod 300) (setq promienod 16.195))
(if (and (/= dnod 6) (/= dnod 8) (/= dnod 10) (/= dnod 15) (/= dnod 20) (/= dnod 25) (/= dnod 32) (/= dnod 40) (/= dnod 50) (/= dnod 65) (/= dnod 80) (/= dnod 100) (/= dnod 125) (/= dnod 150) (/= dnod 200) (/= dnod 250) (/= dnod 300))
(setq promienod (/ dnod 20))
);if


(cond
	(	(= DCL_Jednrur "mm")
		(setq	promien	(* promien 10.0)
				GrIzol	(* GrIzol 10.0)
				promienod	(* promienod 10.0)
				GrIzolod	(* GrIzolod 10.0)
		))
	(	(= DCL_Jednrur "cm")
		(setq	promien	(* promien 1.0)
				GrIzol	(* GrIzol 1.0)
				promienod	(* promienod 1.0)
				GrIzolod	(* GrIzolod 1.0)
		))
	(	(= DCL_Jednrur "m")
		(setq	promien	(* promien 0.01)
				GrIzol	(* GrIzol 0.01)
				promienod	(* promienod 0.01)
				GrIzolod	(* GrIzolod 0.01)
		))
);cond



(setq	punktA2 (polar OsKolana (+ pi ObrTru) (+ promienod (* 1.1 promien)))
		punktA1 (polar punktA2 (+ (* 1.5 pi) ObrTru) promien)
		punktA1izol (polar punktA2 (+ (* 1.5 pi) ObrTru) (+ promien (/ GrIzol 10)))
		punktA3 (polar punktA2 (+ (* 0.5 pi) ObrTru) promien)
		punktA3izol (polar punktA2 (+ (* 0.5 pi) ObrTru) (+ promien (/ GrIzol 10)))
		punktD1 (polar punktA3 (+ 0 ObrTru) (* 1.1 promien))
		punktD1izol (polar punktA3izol (+ 0 ObrTru) (- (distance punktA3 punktD1) (/ GrIzolod 10)))
		punktB2 (polar OsKolana (+ 0 ObrTru) (+ promienod (* 1.1 promien)))
		punktB1 (polar punktB2 (+ (* 1.5 pi) ObrTru) promien)
		punktB1izol (polar punktB2 (+ (* 1.5 pi) ObrTru) (+ promien (/ GrIzol 10)))
		punktB3 (polar punktB2 (+ (* 0.5 pi) ObrTru) promien)
		punktB3izol (polar punktB2 (+ (* 0.5 pi) ObrTru) (+ promien (/ GrIzol 10)))
		punktD2 (polar punktB3 (+ pi ObrTru) (* 1.1 promien))
		punktD2izol (polar punktB3izol (+ pi ObrTru) (- (distance punktD2 punktB3) (/ GrIzolod 10)))
		punktC2 (polar OsKolana (+ (/ pi 2) ObrTru) (+ promien (* 1.1 promienod)))
		punktC1 (polar punktC2 (+ pi ObrTru) promienod)
		punktC1izol (polar punktC2 (+ pi ObrTru) (+ promienod (/ GrIzolod 10)))
		punktC3 (polar punktC2 (+ 0 ObrTru) promienod)
		punktC3izol (polar punktC2 (+ 0 ObrTru) (+ promienod (/ GrIzolod 10)))
);setq

(setvar "CLAYER" *START_WARSTWA*)
(setvar "CECOLOR" *START_KOLOR*)
(setvar "CELTYPE" *START_STYL_LINII*)
(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
(command "_line" punktA1 punktA3 punktD1 punktC1 punktC3 punktD2 punktB3 punktB1 punktA1 "")
	(setvar "CLAYER" "IS_rury_czarne_os")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_line" punktA2 OsKolana punktB2 "");rysuje o kolana
	(command "_line" punktC2 OsKolana "");rysuje o kolana

	
(if (and (> GrIzol 0) (> GrIzolod 0) (< (/ GrIzol 10) (* 1.1 promienod)) (< (/ GrIzolod 10) (* 1.1 promien)))
	(progn
		(setvar "CLAYER" "IS_rury_czarne_izolacja")
		(setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		(command "_line" punktA3izol punktD1izol punktC1izol "");rysuje izolacj
		(command "_line" punktC3izol punktD2izol punktB3izol "");rysuje izolacj
		(command "_line" punktA1izol punktB1izol "");rysuje izolacj
	);progn
);if



);progn
);if

		
(mh:ustprzywr)


);defun trojnikczarny

;=========================================================================

;=========================================================================
(defun c:redukcja ( / dcl_id DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur zamkniecie dn GrIzol dnod promien promienod punktA2 katalfa dlugosc punktB2 punktA1 punktA1izol punktA3 punktA3izol punktB1 punktB1izol punktB3 punktB3izol )

(mh:ustzap)

   (setq dcl_id (load_dialog "profilek-rury.dcl"))
	   (if (not (new_dialog "redukcja" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-rury.dcl")
			(exit)
			);progn
		);if
		
		
 ;==================
(if (null *DCL_parametry_rur*)
	(setq *DCL_parametry_rur* (list "50.0" "0.0" "32.0" "0.0" "1.0" "cm"))
  );if  
	 (setq	DCL_dn (nth 0 *DCL_parametry_rur*)
			DCL_GrIzol (nth 1 *DCL_parametry_rur*)
			DCL_dnod (nth 2 *DCL_parametry_rur*)
			DCL_GrIzolod (nth 3 *DCL_parametry_rur*)
			DCL_Rgiecia (nth 4 *DCL_parametry_rur*)
			DCL_Jednrur (nth 5 *DCL_parametry_rur*)
      );setq 
;==================
      (foreach % (list "DCL_dn" "DCL_GrIzol" "DCL_dnod" "DCL_Jednrur")
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;==================	  
	
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
		
		(if (= zamkniecie 1)
			   (progn
						(setq *DCL_parametry_rur* (list DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur))
			  );progn
		);if	
		
;=========================================================================
(if (> (distof (mh:MsgCommaToDot DCL_dn) 2) 0)
(setq dn (distof (mh:MsgCommaToDot DCL_dn) 2))
(progn
(alert "rednica pocztku redukcji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (and (> (distof (mh:MsgCommaToDot DCL_dnod) 2) 0) (/= (distof (mh:MsgCommaToDot DCL_dnod) 2) (distof (mh:MsgCommaToDot DCL_dn) 2)))
(setq dnod (distof (mh:MsgCommaToDot DCL_dnod) 2))
(progn
(alert "rednica koca redukcji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzol) 2) 0)
(setq GrIzol (distof (mh:MsgCommaToDot DCL_GrIzol) 2))
(progn
(alert "Grubo izolacji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	
;=========================================================================

(if (= zamkniecie 1)
(progn

;===========================================================
(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penychg" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================


(mh:warstwydorur)


;=============================================================
(setq	punktA2 (getpoint "\nWska punkt pierwszy na osi redukcji.")
		punktB2 (getpoint punktA2 "\nWska punkt drugi na osi redukcji.")
);setq
;=============================================================


;ustalenie rednicy waciwej rury na podstawie rednicy nominalnej
(if (= dn 6) (setq promien 0.51))
(if (= dn 8) (setq promien 0.675))
(if (= dn 10) (setq promien 0.86))
(if (= dn 15) (setq promien 1.065))
(if (= dn 20) (setq promien 1.345))
(if (= dn 25) (setq promien 1.685))
(if (= dn 32) (setq promien 2.12))
(if (= dn 40) (setq promien 2.415))
(if (= dn 50) (setq promien 3.015))
(if (= dn 65) (setq promien 3.805))
(if (= dn 80) (setq promien 4.445))
(if (= dn 100) (setq promien 5.715))
(if (= dn 125) (setq promien 6.985))
(if (= dn 150) (setq promien 8.255))
(if (= dn 200) (setq promien 10.955))
(if (= dn 250) (setq promien 13.65))
(if (= dn 300) (setq promien 16.195))
(if (and (/= dn 6) (/= dn 8) (/= dn 10) (/= dn 15) (/= dn 20) (/= dn 25) (/= dn 32) (/= dn 40) (/= dn 50) (/= dn 65) (/= dn 80) (/= dn 100) (/= dn 125) (/= dn 150) (/= dn 200) (/= dn 250) (/= dn 300))
(setq promien (/ dn 20))
);if

(if (= dnod 6) (setq promienod 0.51))
(if (= dnod 8) (setq promienod 0.675))
(if (= dnod 10) (setq promienod 0.86))
(if (= dnod 15) (setq promienod 1.065))
(if (= dnod 20) (setq promienod 1.345))
(if (= dnod 25) (setq promienod 1.685))
(if (= dnod 32) (setq promienod 2.12))
(if (= dnod 40) (setq promienod 2.415))
(if (= dnod 50) (setq promienod 3.015))
(if (= dnod 65) (setq promienod 3.805))
(if (= dnod 80) (setq promienod 4.445))
(if (= dnod 100) (setq promienod 5.715))
(if (= dnod 125) (setq promienod 6.985))
(if (= dnod 150) (setq promienod 8.255))
(if (= dnod 200) (setq promienod 10.955))
(if (= dnod 250) (setq promienod 13.65))
(if (= dnod 300) (setq promienod 16.195))
(if (and (/= dnod 6) (/= dnod 8) (/= dnod 10) (/= dnod 15) (/= dnod 20) (/= dnod 25) (/= dnod 32) (/= dnod 40) (/= dnod 50) (/= dnod 65) (/= dnod 80) (/= dnod 100) (/= dnod 125) (/= dnod 150) (/= dnod 200) (/= dnod 250) (/= dnod 300))
(setq promienod (/ dnod 20))
);if


(cond
	(	(= DCL_Jednrur "mm")
		(setq	promien	(* promien 10.0)
				promienod	(* promienod 10.0)
				GrIzol	(* GrIzol 10.0)
		))
	(	(= DCL_Jednrur "cm")
		(setq	promien	(* promien 1.0)
				promienod	(* promienod 1.0)
				GrIzol	(* GrIzol 1.0)
		))
	(	(= DCL_Jednrur "m")
		(setq	promien	(* promien 0.01)
				promienod	(* promienod 0.01)
				GrIzol	(* GrIzol 0.01)
		))
);cond


(setq	katalfa (angle punktA2 punktB2)
		dlugosc (sqrt (- (* (/ (abs (- promien promienod)) (sin (/ pi 18))) (/ (abs (- promien promienod)) (sin (/ pi 18)))) (* (abs (- promien promienod)) (abs (- promien promienod)))))
		punktB2 (polar punktA2 katalfa dlugosc)
		punktA1 (polar punktA2 (- katalfa (/ pi 2)) promien)
		punktA1izol (polar punktA2 (- katalfa (/ pi 2)) (+ promien (/ GrIzol 10)))
		punktA3 (polar punktA2 (+ katalfa (/ pi 2)) promien)
		punktA3izol (polar punktA2 (+ katalfa (/ pi 2)) (+ promien (/ GrIzol 10)))
		punktB1 (polar punktB2 (- katalfa (/ pi 2)) promienod)
		punktB1izol (polar punktB2 (- katalfa (/ pi 2)) (+ promienod (/ GrIzol 10)))
		punktB3 (polar punktB2 (+ katalfa (/ pi 2)) promienod)
		punktB3izol (polar punktB2 (+ katalfa (/ pi 2)) (+ promienod (/ GrIzol 10)))
);setq

(setvar "CLAYER" *START_WARSTWA*)
(setvar "CECOLOR" *START_KOLOR*)
(setvar "CELTYPE" *START_STYL_LINII*)
(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
(command "_line" punktA1 punktA3 punktB3 punktB1 punktA1 "")
	(setvar "CLAYER" "IS_rury_czarne_os")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_line" punktA2 punktB2 "")
	
	
(if (> GrIzol 0)
	(progn
		(setvar "CLAYER" "IS_rury_czarne_izolacja")
		(setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		(command "_line" punktA1izol punktB1izol "")
		(command "_line" punktA3izol punktB3izol "")
	);progn
);if



);progn
);if

		
(mh:ustprzywr)


);defun redukcja

;=========================================================================

;=========================================================================
(defun c:kolmal ( / dcl_id DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur zamkniecie dn GrIzol OsKolana PunktA PunktB promien )

(mh:ustzap)


   (setq dcl_id (load_dialog "profilek-rury.dcl"))
	   (if (not (new_dialog "kolana" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-rury.dcl")
			(exit)
			);progn
		);if
		
		
 ;==================
(if (null *DCL_parametry_rur*)
	(setq *DCL_parametry_rur* (list "50.0" "0.0" "32.0" "0.0" "1.0" "cm"))
  );if  
	 (setq	DCL_dn (nth 0 *DCL_parametry_rur*)
			DCL_GrIzol (nth 1 *DCL_parametry_rur*)
			DCL_dnod (nth 2 *DCL_parametry_rur*)
			DCL_GrIzolod (nth 3 *DCL_parametry_rur*)
			DCL_Rgiecia (nth 4 *DCL_parametry_rur*)
			DCL_Jednrur (nth 5 *DCL_parametry_rur*)
      );setq 
;==================
      (foreach % (list "DCL_dn" "DCL_GrIzol" "DCL_Rgiecia" "DCL_Jednrur")
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;==================	  
	
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
		
		(if (= zamkniecie 1)
			   (progn
						(setq *DCL_parametry_rur* (list DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur))
			  );progn
		);if	
		
;=========================================================================
(if (> (distof (mh:MsgCommaToDot DCL_dn) 2) 0)
(setq dn (distof (mh:MsgCommaToDot DCL_dn) 2))
(progn
(alert "rednica nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzol) 2) 0)
(setq GrIzol (distof (mh:MsgCommaToDot DCL_GrIzol) 2))
(progn
(alert "Grubo izolacji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	
;=========================================================================

(if (= zamkniecie 1)
(progn

;===========================================================
(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================


(mh:warstwydorur)


;ustalenie rednicy waciwej rury na podstawie rednicy nominalnej
(if (= dn 6) (setq promien 0.51))
(if (= dn 8) (setq promien 0.675))
(if (= dn 10) (setq promien 0.86))
(if (= dn 15) (setq promien 1.065))
(if (= dn 20) (setq promien 1.345))
(if (= dn 25) (setq promien 1.685))
(if (= dn 32) (setq promien 2.12))
(if (= dn 40) (setq promien 2.415))
(if (= dn 50) (setq promien 3.015))
(if (= dn 65) (setq promien 3.805))
(if (= dn 80) (setq promien 4.445))
(if (= dn 100) (setq promien 5.715))
(if (= dn 125) (setq promien 6.985))
(if (= dn 150) (setq promien 8.255))
(if (= dn 200) (setq promien 10.955))
(if (= dn 250) (setq promien 13.65))
(if (= dn 300) (setq promien 16.195))
(if (and (/= dn 6) (/= dn 8) (/= dn 10) (/= dn 15) (/= dn 20) (/= dn 25) (/= dn 32) (/= dn 40) (/= dn 50) (/= dn 65) (/= dn 80) (/= dn 100) (/= dn 125) (/= dn 150) (/= dn 200) (/= dn 250) (/= dn 300))
(setq promien (/ dn 20))
);if


(cond
	(	(= DCL_Jednrur "mm")
		(setq	promien	(* promien 10.0)
				GrIzol	(* GrIzol 10.0)
		))
	(	(= DCL_Jednrur "cm")
		(setq	promien	(* promien 1.0)
				GrIzol	(* GrIzol 1.0)
		))
	(	(= DCL_Jednrur "m")
		(setq	promien	(* promien 0.01)
				GrIzol	(* GrIzol 0.01)
		))
);cond



(setq	OsKolana (getpoint "\nWska punkt wstawienia kolana.")
		PunktA (getpoint OsKolana "\nWska piewszy kierunek odejcia")
		PunktB (getpoint OsKolana "\nWska drugi kierunek odejcia")
);setq
		
		
		
(if (= DCL_Rgiecia "1.0")		
(mh:kolano1r OsKolana PunktA PunktB promien GrIzol)		
(mh:kolano1_5r OsKolana PunktA PunktB promien GrIzol)		
)


);progn
);if
		
(mh:ustprzywr)
);defun kolmal

;=========================================================================

;=========================================================================
(defun mh:kolano1r ( OsKolana PunktA PunktB promien GrIzol / OsKolana PunktA PunktB promien GrIzol katAA katBB katKolana ukos AB A2 B2 A1 A1izol A3 A3izol B1 B1izol B3 B3izol )
		
(setq	katAA (angle OsKolana PunktA)
		katBB (angle OsKolana PunktB)
);setq


(setq katKolana (- katAA katBB))
(if (< katKolana 0) (setq katKolana (+ katKolana (* 2 pi))))
(if (> katKolana (* 2 pi)) (setq katKolana (- katKolana (* 2 pi))))


;=========
(if (and (> katKolana pi) (<= katKolana (* pi 1.501)))
(progn
(setq ukos (/ (* 2 promien) (sin (/ (- (* 2 pi) katKolana) 2))))
(setq AB  (polar OsKolana (+ katAA (/ (- (* 2 pi) katKolana) 2)) ukos))
(setq	A2 (polar AB (- katAA (/ pi 2)) (* 2 promien))
		B2 (polar AB (+ katBB (/ pi 2)) (* 2 promien))
		A1 (polar A2 (+ katAA (* pi 0.5)) promien)
		A1izol (polar A2 (+ katAA (* pi 0.5)) (+ promien (/ GrIzol 10)))
		A3 (polar A2 (- katAA (* pi 0.5)) promien)
		A3izol (polar A2 (- katAA (* pi 0.5)) (+ promien (/ GrIzol 10)))
		B1 (polar B2 (+ katBB (* pi 0.5)) promien)
		B1izol (polar B2 (+ katBB (* pi 0.5)) (+ promien (/ GrIzol 10)))
		B3 (polar B2 (- katBB (* pi 0.5)) promien)
		B3izol (polar B2 (- katBB (* pi 0.5)) (+ promien (/ GrIzol 10)))
);setq
	(setvar "CLAYER" "IS_niedruk")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_point" OsKolana)
		(setvar "CLAYER" *START_WARSTWA*)
		(setvar "CECOLOR" *START_KOLOR*)
		(setvar "CELTYPE" *START_STYL_LINII*)
		(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
(command "_line" A1 A3 "")
(command "_line" B1 B3 "")
(command "_arc" "_c" AB B1 A1)
(command "_arc" "_c" AB B3 A3)
	(setvar "CLAYER" "IS_rury_czarne_os")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_arc" "_c" AB B2 A2);rysuje o kolana
		(setvar "CLAYER" *START_WARSTWA*)
		(setvar "CECOLOR" *START_KOLOR*)
		(setvar "CELTYPE" *START_STYL_LINII*)
		(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
(if (and (> GrIzol 0) (< (/ GrIzol 10) promien))
(progn
	(setvar "CLAYER" "IS_rury_czarne_izolacja")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
(command "_arc" "_c" AB B1izol A1izol);rysuje izolacj
(command "_arc" "_c" AB B3izol A3izol);rysuje izolacj
(setvar "CLAYER" *START_WARSTWA*)
(setvar "CECOLOR" *START_KOLOR*)
(setvar "CELTYPE" *START_STYL_LINII*)
(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
);progn
);if

);progn
);if
;=========

;=========
(if (and (< katKolana pi) (>= katKolana (* pi 0.499)))
(progn
(setq ukos (/ (* 2 promien) (sin (/ katKolana 2))))
(setq AB  (polar OsKolana (- katAA (/ katKolana 2)) ukos))
(setq	A2 (polar AB (+ katAA (/ pi 2)) (* 2 promien))
		B2 (polar AB (- katBB (/ pi 2)) (* 2 promien))
		A1 (polar A2 (- katAA (* pi 0.5)) promien)
		A1izol (polar A2 (- katAA (* pi 0.5)) (+ promien (/ GrIzol 10)))
		A3 (polar A2 (+ katAA (* pi 0.5)) promien)
		A3izol (polar A2 (+ katAA (* pi 0.5)) (+ promien (/ GrIzol 10)))
		B1 (polar B2 (- katBB (* pi 0.5)) promien)
		B1izol (polar B2 (- katBB (* pi 0.5)) (+ promien (/ GrIzol 10)))
		B3 (polar B2 (+ katBB (* pi 0.5)) promien)
		B3izol (polar B2 (+ katBB (* pi 0.5)) (+ promien (/ GrIzol 10)))
);setq
	(setvar "CLAYER" "IS_niedruk")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_point" OsKolana)
		(setvar "CLAYER" *START_WARSTWA*)
		(setvar "CECOLOR" *START_KOLOR*)
		(setvar "CELTYPE" *START_STYL_LINII*)
		(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
		(command "_line" A1 A3 "")
		(command "_line" B1 B3 "")
		(command "_arc" "_c" AB A1 B1)
		(command "_arc" "_c" AB A3 B3)
			(setvar "CLAYER" "IS_rury_czarne_os")
			(setvar "CECOLOR" "BYLAYER")
			(setvar "CELTYPE" "BYLAYER")
			(setvar "CELWEIGHT" -1)
			(command "_arc" "_c" AB A2 B2);rysuje o kolana
	(setvar "CLAYER" *START_WARSTWA*)
	(setvar "CECOLOR" *START_KOLOR*)
	(setvar "CELTYPE" *START_STYL_LINII*)
	(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
(if (and (> GrIzol 0) (< (/ GrIzol 10) promien))
(progn
	(setvar "CLAYER" "IS_rury_czarne_izolacja")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_arc" "_c" AB A1izol B1izol);rysuje izolacj
	(command "_arc" "_c" AB A3izol B3izol);rysuje izolacj
(setvar "CLAYER" *START_WARSTWA*)
(setvar "CECOLOR" *START_KOLOR*)
(setvar "CELTYPE" *START_STYL_LINII*)
(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
);progn
);if

);progn
);if
;=========

;=========
(if (or (> katKolana (* 1.501 pi)) (< katKolana (* 0.499 pi))) (print "Kt ostry !"));sprawdzenie czy kt nie jest ostry
;=========	

);defun mh:kolano1r
;=========================================================================

;=========================================================================
(defun mh:kolano1_5r ( OsKolana PunktA PunktB promien GrIzol / OsKolana PunktA PunktB promien GrIzol katAA katBB katKolana ukos AB A2 B2 A1 A1izol A3 A3izol B1 B1izol B3 B3izol ) ;doda zmienne lokalne !!!!!!!!!!!!!!!!!!!!!!
		
(setq	katAA (angle OsKolana PunktA)
		katBB (angle OsKolana PunktB)
);setq


(setq katKolana (- katAA katBB))
(if (< katKolana 0) (setq katKolana (+ katKolana (* 2 pi))))
(if (> katKolana (* 2 pi)) (setq katKolana (- katKolana (* 2 pi))))





;=========
(if (and (> katKolana pi) (<= katKolana (* pi 1.501)))
(progn
(setq ukos (/ (* 3 promien) (sin (/ (- (* 2 pi) katKolana) 2))))
(setq AB  (polar OsKolana (+ katAA (/ (- (* 2 pi) katKolana) 2)) ukos))
(setq	A2 (polar AB (- katAA (/ pi 2)) (* 3 promien))
		B2 (polar AB (+ katBB (/ pi 2)) (* 3 promien))
		A1 (polar A2 (+ katAA (* pi 0.5)) promien)
		A1izol (polar A2 (+ katAA (* pi 0.5)) (+ promien (/ GrIzol 10)))
		A3 (polar A2 (- katAA (* pi 0.5)) promien)
		A3izol (polar A2 (- katAA (* pi 0.5)) (+ promien (/ GrIzol 10)))
		B1 (polar B2 (+ katBB (* pi 0.5)) promien)
		B1izol (polar B2 (+ katBB (* pi 0.5)) (+ promien (/ GrIzol 10)))
		B3 (polar B2 (- katBB (* pi 0.5)) promien)
		B3izol (polar B2 (- katBB (* pi 0.5)) (+ promien (/ GrIzol 10)))
);setq
		(setvar "CLAYER" "IS_niedruk")
		(setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		(command "_point" OsKolana)
	(setvar "CLAYER" *START_WARSTWA*)
	(setvar "CECOLOR" *START_KOLOR*)
	(setvar "CELTYPE" *START_STYL_LINII*)
	(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
	(command "_line" A1 A3 "")
	(command "_line" B1 B3 "")
	(command "_arc" "_c" AB B1 A1)
	(command "_arc" "_c" AB B3 A3)
		(setvar "CLAYER" "IS_rury_czarne_os")
		(setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		(command "_arc" "_c" AB B2 A2);rysuje o kolana
	(setvar "CLAYER" *START_WARSTWA*)
	(setvar "CECOLOR" *START_KOLOR*)
	(setvar "CELTYPE" *START_STYL_LINII*)
	(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
(if (and (> GrIzol 0) (< (/ GrIzol 10) (* 2 promien)))
(progn
	(setvar "CLAYER" "IS_rury_czarne_izolacja")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_arc" "_c" AB B1izol A1izol);rysuje izolacj
	(command "_arc" "_c" AB B3izol A3izol);rysuje izolacj
(setvar "CLAYER" *START_WARSTWA*)
(setvar "CECOLOR" *START_KOLOR*)
(setvar "CELTYPE" *START_STYL_LINII*)
(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
);progn
);if

);progn
);if
;=========

;=========
(if (and (< katKolana pi) (>= katKolana (* pi 0.499)))
(progn
(setq ukos (/ (* 3 promien) (sin (/ katKolana 2))))
(setq AB  (polar OsKolana (- katAA (/ katKolana 2)) ukos))
(setq	A2 (polar AB (+ katAA (/ pi 2)) (* 3 promien))
		B2 (polar AB (- katBB (/ pi 2)) (* 3 promien))
		A1 (polar A2 (- katAA (* pi 0.5)) promien)
		A1izol (polar A2 (- katAA (* pi 0.5)) (+ promien (/ GrIzol 10)))
		A3 (polar A2 (+ katAA (* pi 0.5)) promien)
		A3izol (polar A2 (+ katAA (* pi 0.5)) (+ promien (/ GrIzol 10)))
		B1 (polar B2 (- katBB (* pi 0.5)) promien)
		B1izol (polar B2 (- katBB (* pi 0.5)) (+ promien (/ GrIzol 10)))
		B3 (polar B2 (+ katBB (* pi 0.5)) promien)
		B3izol (polar B2 (+ katBB (* pi 0.5)) (+ promien (/ GrIzol 10)))
);setq
		(setvar "CLAYER" "IS_niedruk")
		(setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		(command "_point" OsKolana)
	(setvar "CLAYER" *START_WARSTWA*)
	(setvar "CECOLOR" *START_KOLOR*)
	(setvar "CELTYPE" *START_STYL_LINII*)
	(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
	(command "_line" A1 A3 "")
	(command "_line" B1 B3 "")
	(command "_arc" "_c" AB A1 B1)
	(command "_arc" "_c" AB A3 B3)
		(setvar "CLAYER" "IS_rury_czarne_os")
		(setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		(command "_arc" "_c" AB A2 B2);rysuje o kolana
	(setvar "CLAYER" *START_WARSTWA*)
	(setvar "CECOLOR" *START_KOLOR*)
	(setvar "CELTYPE" *START_STYL_LINII*)
	(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
(if (and (> GrIzol 0) (< (/ GrIzol 10) (* 2 promien)))
(progn
	(setvar "CLAYER" "IS_rury_czarne_izolacja")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_arc" "_c" AB A1izol B1izol);rysuje izolacj
	(command "_arc" "_c" AB A3izol B3izol);rysuje izolacj
(setvar "CLAYER" *START_WARSTWA*)
(setvar "CECOLOR" *START_KOLOR*)
(setvar "CELTYPE" *START_STYL_LINII*)
(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
);progn
);if

);progn
);if
;=========

;=========
(if (or (> katKolana (* 1.501 pi)) (< katKolana (* 0.499 pi))) (print "Kt ostry !"));sprawdzenie czy kt nie jest ostry
;=========	

);defun mh:kolano1_5r
;=========================================================================

;=========================================================================
(defun c:2l2kolmal ( / dcl_id DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur zamkniecie dn GrIzol promien ilosclinii zbior opislinii1 opislinii2 poczLinia01 konLinia01 poczLinia02 konLinia02 OsKolana A0 B0 katAA katBB katKolana ukos AB A2 B2  )

(mh:ustzap)


   (setq dcl_id (load_dialog "profilek-rury.dcl"))
	   (if (not (new_dialog "kolana" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-rury.dcl")
			(exit)
			);progn
		);if
		
		
 ;==================
(if (null *DCL_parametry_rur*)
	(setq *DCL_parametry_rur* (list "50.0" "0.0" "32.0" "0.0" "1.0" "cm"))
  );if  
	 (setq	DCL_dn (nth 0 *DCL_parametry_rur*)
			DCL_GrIzol (nth 1 *DCL_parametry_rur*)
			DCL_dnod (nth 2 *DCL_parametry_rur*)
			DCL_GrIzolod (nth 3 *DCL_parametry_rur*)
			DCL_Rgiecia (nth 4 *DCL_parametry_rur*)
			DCL_Jednrur (nth 5 *DCL_parametry_rur*)
      );setq 
;==================
      (foreach % (list "DCL_dn" "DCL_GrIzol" "DCL_Rgiecia" "DCL_Jednrur")
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;==================	  
	
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
		
		(if (= zamkniecie 1)
			   (progn
						(setq *DCL_parametry_rur* (list DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur))
			  );progn
		);if	
		
;=========================================================================
(if (> (distof (mh:MsgCommaToDot DCL_dn) 2) 0)
(setq dn (distof (mh:MsgCommaToDot DCL_dn) 2))
(progn
(alert "rednica nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzol) 2) 0)
(setq GrIzol (distof (mh:MsgCommaToDot DCL_GrIzol) 2))
(progn
(alert "Grubo izolacji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	
;=========================================================================

(if (= zamkniecie 1)
(progn

;===========================================================
(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================


(mh:warstwydorur)


;ustalenie rednicy waciwej rury na podstawie rednicy nominalnej
(if (= dn 6) (setq promien 0.51))
(if (= dn 8) (setq promien 0.675))
(if (= dn 10) (setq promien 0.86))
(if (= dn 15) (setq promien 1.065))
(if (= dn 20) (setq promien 1.345))
(if (= dn 25) (setq promien 1.685))
(if (= dn 32) (setq promien 2.12))
(if (= dn 40) (setq promien 2.415))
(if (= dn 50) (setq promien 3.015))
(if (= dn 65) (setq promien 3.805))
(if (= dn 80) (setq promien 4.445))
(if (= dn 100) (setq promien 5.715))
(if (= dn 125) (setq promien 6.985))
(if (= dn 150) (setq promien 8.255))
(if (= dn 200) (setq promien 10.955))
(if (= dn 250) (setq promien 13.65))
(if (= dn 300) (setq promien 16.195))
(if (and (/= dn 6) (/= dn 8) (/= dn 10) (/= dn 15) (/= dn 20) (/= dn 25) (/= dn 32) (/= dn 40) (/= dn 50) (/= dn 65) (/= dn 80) (/= dn 100) (/= dn 125) (/= dn 150) (/= dn 200) (/= dn 250) (/= dn 300))
(setq promien (/ dn 20))
);if

(cond
	(	(= DCL_Jednrur "mm")
		(setq	promien	(* promien 10.0)
				GrIzol	(* GrIzol 10.0)
		))
	(	(= DCL_Jednrur "cm")
		(setq	promien	(* promien 1.0)
				GrIzol	(* GrIzol 1.0)
		))
	(	(= DCL_Jednrur "m")
		(setq	promien	(* promien 0.01)
				GrIzol	(* GrIzol 0.01)
		))
);cond




(setq ilosclinii 0
);setq
(while (/= ilosclinii 2)
(princ "\nZaznacz DWIE linie do stworzenia kolana:")
(setq 	zbior (ssget '((-4 . "<OR")(0 . "line")(-4 . "OR>")) ) ;zmienna "zbior" to wybrane linie
		ilosclinii (sslength zbior)
);setq
);while

(setq	opislinii1 (entget (ssname zbior 0)); zmienne opislinii 1 i 2 s list zmiennych opisujc parametry linii
		opislinii2 (entget (ssname zbior 1))
		poczLinia01 (cdr (assoc 10 opislinii1)); to wsprzdne pocztku linii 1
		konLinia01 (cdr (assoc 11 opislinii1)); to wsprzdne koca linii 1
		poczLinia02 (cdr (assoc 10 opislinii2)); to wsprzdne pocztku linii 2
		konLinia02 (cdr (assoc 11 opislinii2)); to wsprzdne koca linii 2
		poczLinia01 (trans poczLinia01 0 1)
		konLinia01 (trans konLinia01 0 1)
		poczLinia02 (trans poczLinia02 0 1)
		konLinia02 (trans konLinia02 0 1)
);setq


(if (or (equal poczLinia01 poczLinia02) (equal poczLinia01 konLinia02) (equal konLinia01 poczLinia02) (equal konLinia01 konLinia02))
(progn

		(if (equal poczLinia01 poczLinia02) (setq OsKolana poczLinia01))
		(if (equal poczLinia01 konLinia02) (setq OsKolana poczLinia01))
		(if (equal konLinia01 poczLinia02) (setq OsKolana konLinia01))
		(if (equal konLinia01 konLinia02) (setq OsKolana konLinia01))

		(setq	A0 (if (equal OsKolana poczLinia01) konLinia01 poczLinia01)
				B0 (if (equal OsKolana poczLinia02) konLinia02 poczLinia02)
		);setq
									
(if (= DCL_Rgiecia "1.0")
	(mh:kolano1r OsKolana A0 B0 promien GrIzol)
	(mh:kolano1_5r OsKolana A0 B0 promien GrIzol)
);if

											(setq	katAA (angle OsKolana A0)
													katBB (angle OsKolana B0)
											);setq
											(setq katKolana (- katAA katBB))
											(if (< katKolana 0) (setq katKolana (+ katKolana (* 2 pi))))
											(if (> katKolana (* 2 pi)) (setq katKolana (- katKolana (* 2 pi))))

			(if (= DCL_Rgiecia "1.0")
			(progn
						(if (and (> katKolana pi) (<= katKolana (* pi 1.501)))
						(progn
						(setq ukos (/ (* 2 promien) (sin (/ (- (* 2 pi) katKolana) 2))))
						(setq AB  (polar OsKolana (+ katAA (/ (- (* 2 pi) katKolana) 2)) ukos))
						(setq	A2 (polar AB (- katAA (/ pi 2)) (* 2 promien))
								B2 (polar AB (+ katBB (/ pi 2)) (* 2 promien))
						);setq
						);progn
						);if
						
						(if (and (< katKolana pi) (>= katKolana (* pi 0.499)))
						(progn
						(setq ukos (/ (* 2 promien) (sin (/ katKolana 2))))
						(setq AB  (polar OsKolana (- katAA (/ katKolana 2)) ukos))
						(setq	A2 (polar AB (+ katAA (/ pi 2)) (* 2 promien))
								B2 (polar AB (- katBB (/ pi 2)) (* 2 promien))
						);setq
						);progn
						);if
			);progn
			(progn
						(if (and (> katKolana pi) (<= katKolana (* pi 1.501)))
						(progn
						(setq ukos (/ (* 3 promien) (sin (/ (- (* 2 pi) katKolana) 2))))
						(setq AB  (polar OsKolana (+ katAA (/ (- (* 2 pi) katKolana) 2)) ukos))
						(setq	A2 (polar AB (- katAA (/ pi 2)) (* 3 promien))
								B2 (polar AB (+ katBB (/ pi 2)) (* 3 promien))
						);setq
						);progn
						);if
						
						(if (and (< katKolana pi) (>= katKolana (* pi 0.499)))
						(progn
						(setq ukos (/ (* 3 promien) (sin (/ katKolana 2))))
						(setq AB  (polar OsKolana (- katAA (/ katKolana 2)) ukos))
						(setq	A2 (polar AB (+ katAA (/ pi 2)) (* 3 promien))
								B2 (polar AB (- katBB (/ pi 2)) (* 3 promien))
						);setq
						);progn
						);if
			);progn
			);if


				(entdel (cdr (assoc -1 opislinii1)))
				(entdel (cdr (assoc -1 opislinii2)))
				(command "_line" A0 A2 "")
				(command "_line" B0 B2 "")
		
);progn na tak
(princ "\nLinie nie maja punktu styku!!!");print na nie
);if


);progn
);if	
(mh:ustprzywr)
);defun 2l2kolmal

;=========================================================================

;=========================================================================
(defun c:kolmal90st_gora ( / dcl_id DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur zamkniecie dn GrIzol OsKolana ObrTru promien punktA1 punktA1izol punktA2 punktA3 punktA3izol punktB1 punktB1izol punktB2 punktB3 punktB3izol )	

(mh:ustzap)


   (setq dcl_id (load_dialog "profilek-rury.dcl"))
	   (if (not (new_dialog "kolana" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-rury.dcl")
			(exit)
			);progn
		);if
		
		
 ;==================
(if (null *DCL_parametry_rur*)
	(setq *DCL_parametry_rur* (list "50.0" "0.0" "32.0" "0.0" "1.0" "cm"))
  );if  
	 (setq	DCL_dn (nth 0 *DCL_parametry_rur*)
			DCL_GrIzol (nth 1 *DCL_parametry_rur*)
			DCL_dnod (nth 2 *DCL_parametry_rur*)
			DCL_GrIzolod (nth 3 *DCL_parametry_rur*)
			DCL_Rgiecia (nth 4 *DCL_parametry_rur*)
			DCL_Jednrur (nth 5 *DCL_parametry_rur*)
      );setq 
;==================
      (foreach % (list "DCL_dn" "DCL_GrIzol" "DCL_Rgiecia" "DCL_Jednrur")
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;==================	  
	
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
		
		(if (= zamkniecie 1)
			   (progn
						(setq *DCL_parametry_rur* (list DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur))
			  );progn
		);if	
		
;=========================================================================
(if (> (distof (mh:MsgCommaToDot DCL_dn) 2) 0)
(setq dn (distof (mh:MsgCommaToDot DCL_dn) 2))
(progn
(alert "rednica nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzol) 2) 0)
(setq GrIzol (distof (mh:MsgCommaToDot DCL_GrIzol) 2))
(progn
(alert "Grubo izolacji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	
;=========================================================================

(if (= zamkniecie 1)
(progn

;===========================================================
(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penychg" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================


(mh:warstwydorur)


;=============================================================
(setq	OsKolana (getpoint "\nWska punkt wstawienia kolana.")
		ObrTru (getangle OsKolana "\nWska kierunek odejcia")
		ObrTru (+ ObrTru (/ pi 2))
);setq
;=============================================================


;ustalenie rednicy waciwej rury na podstawie rednicy nominalnej
(if (= dn 6) (setq promien 0.51))
(if (= dn 8) (setq promien 0.675))
(if (= dn 10) (setq promien 0.86))
(if (= dn 15) (setq promien 1.065))
(if (= dn 20) (setq promien 1.345))
(if (= dn 25) (setq promien 1.685))
(if (= dn 32) (setq promien 2.12))
(if (= dn 40) (setq promien 2.415))
(if (= dn 50) (setq promien 3.015))
(if (= dn 65) (setq promien 3.805))
(if (= dn 80) (setq promien 4.445))
(if (= dn 100) (setq promien 5.715))
(if (= dn 125) (setq promien 6.985))
(if (= dn 150) (setq promien 8.255))
(if (= dn 200) (setq promien 10.955))
(if (= dn 250) (setq promien 13.65))
(if (= dn 300) (setq promien 16.195))
(if (and (/= dn 6) (/= dn 8) (/= dn 10) (/= dn 15) (/= dn 20) (/= dn 25) (/= dn 32) (/= dn 40) (/= dn 50) (/= dn 65) (/= dn 80) (/= dn 100) (/= dn 125) (/= dn 150) (/= dn 200) (/= dn 250) (/= dn 300))
(setq promien (/ dn 20))
);if



(cond
	(	(= DCL_Jednrur "mm")
		(setq	promien	(* promien 10.0)
				GrIzol	(* GrIzol 10.0)
		))
	(	(= DCL_Jednrur "cm")
		(setq	promien	(* promien 1.0)
				GrIzol	(* GrIzol 1.0)
		))
	(	(= DCL_Jednrur "m")
		(setq	promien	(* promien 0.01)
				GrIzol	(* GrIzol 0.01)
		))
);cond




(if (= DCL_Rgiecia "1.0")
(progn
(setq	punktA1 (polar OsKolana (+ pi ObrTru) promien)
		punktA1izol (polar OsKolana (+ pi ObrTru) (+ promien (/ GrIzol 10)))
		punktA2 (polar OsKolana (+ (* pi 1.5) ObrTru) promien)
		punktA3 (polar OsKolana (+ 0 ObrTru) promien)
		punktA3izol (polar OsKolana (+ 0 ObrTru) (+ promien (/ GrIzol 10)))
		punktB1 (polar punktA1 (+ (* pi 1.5) ObrTru) (* 2 promien))
		punktB1izol (polar punktB1 (+ pi ObrTru) (/ GrIzol 10))
		punktB2 (polar punktA2 (+ (* pi 1.5) ObrTru) promien)
		punktB3 (polar punktA3 (+ (* pi 1.5) ObrTru) (* 2 promien))
		punktB3izol (polar punktB3 (+ 0 ObrTru) (/ GrIzol 10))
);setq
);progn
(progn
(setq	punktA1 (polar OsKolana (+ pi ObrTru) promien)
		punktA1izol (polar OsKolana (+ pi ObrTru) (+ promien (/ GrIzol 10)))
		punktA2 (polar OsKolana (+ (* pi 1.5) ObrTru) promien)
		punktA3 (polar OsKolana (+ 0 ObrTru) promien)
		punktA3izol (polar OsKolana (+ 0 ObrTru) (+ promien (/ GrIzol 10)))
		punktB1 (polar punktA1 (+ (* pi 1.5) ObrTru) (* 3 promien))
		punktB1izol (polar punktB1 (+ pi ObrTru) (/ GrIzol 10))
		punktB2 (polar punktA2 (+ (* pi 1.5) ObrTru) (* 2 promien))
		punktB3 (polar punktA3 (+ (* pi 1.5) ObrTru) (* 3 promien))
		punktB3izol (polar punktB3 (+ 0 ObrTru) (/ GrIzol 10))
);setq
);progn
);if


(setvar "CLAYER" *START_WARSTWA*)
(setvar "CECOLOR" *START_KOLOR*)
(setvar "CELTYPE" *START_STYL_LINII*)
(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
(command "_line" punktA1 punktB1 punktB3 punktA3 "")
(command "_arc" "_c" OsKolana punktA3 punktA1)
(command "_arc" "_c" OsKolana punktA1 punktA3)

	(setvar "CLAYER" "IS_rury_czarne_os")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_line" punktA2 punktB2 "");rysuje o kolana


(if (> GrIzol 0)
	(progn
		(setvar "CLAYER" "IS_rury_czarne_izolacja")
		(setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		(command "_line" punktA1izol punktB1izol "")
		(command "_line" punktA3izol punktB3izol "")
		(command "_arc" "_c" OsKolana punktA3izol punktA1izol)
		(command "_arc" "_c" OsKolana punktA1izol punktA3izol)
	);progn
);if

);progn
);if

		
(mh:ustprzywr)


);defun kolmal90st_gora

;=========================================================================

;=========================================================================
(defun c:kolmal90st_dol ( / dcl_id DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur zamkniecie dn GrIzol OsKolana ObrTru promien punktA1 punktA1izol punktA2 punktA3 punktA3izol punktB1 punktB1izol punktB2 punktB3 punktB3izol )

(mh:ustzap)


   (setq dcl_id (load_dialog "profilek-rury.dcl"))
	   (if (not (new_dialog "kolana" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-rury.dcl")
			(exit)
			);progn
		);if
		
		
 ;==================
(if (null *DCL_parametry_rur*)
	(setq *DCL_parametry_rur* (list "50.0" "0.0" "32.0" "0.0" "1.0" "cm"))
  );if  
	 (setq	DCL_dn (nth 0 *DCL_parametry_rur*)
			DCL_GrIzol (nth 1 *DCL_parametry_rur*)
			DCL_dnod (nth 2 *DCL_parametry_rur*)
			DCL_GrIzolod (nth 3 *DCL_parametry_rur*)
			DCL_Rgiecia (nth 4 *DCL_parametry_rur*)
			DCL_Jednrur (nth 5 *DCL_parametry_rur*)
      );setq 
;==================
      (foreach % (list "DCL_dn" "DCL_GrIzol" "DCL_Rgiecia" "DCL_Jednrur")
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;==================	  
	
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
		
			(if (= zamkniecie 1)
			   (progn
						(setq *DCL_parametry_rur* (list DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur))
			  );progn
		);if	
		
;=========================================================================
(if (> (distof (mh:MsgCommaToDot DCL_dn) 2) 0)
(setq dn (distof (mh:MsgCommaToDot DCL_dn) 2))
(progn
(alert "rednica nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzol) 2) 0)
(setq GrIzol (distof (mh:MsgCommaToDot DCL_GrIzol) 2))
(progn
(alert "Grubo izolacji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	
;=========================================================================

(if (= zamkniecie 1)
(progn

;===========================================================
(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penychg" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================


(mh:warstwydorur)


;=============================================================
(setq	OsKolana (getpoint "\nWska punkt wstawienia kolana.")
		ObrTru (getangle OsKolana "\nWska kierunek odejcia")
		ObrTru (+ ObrTru (/ pi 2))
);setq
;=============================================================


;ustalenie rednicy waciwej rury na podstawie rednicy nominalnej
(if (= dn 6) (setq promien 0.51))
(if (= dn 8) (setq promien 0.675))
(if (= dn 10) (setq promien 0.86))
(if (= dn 15) (setq promien 1.065))
(if (= dn 20) (setq promien 1.345))
(if (= dn 25) (setq promien 1.685))
(if (= dn 32) (setq promien 2.12))
(if (= dn 40) (setq promien 2.415))
(if (= dn 50) (setq promien 3.015))
(if (= dn 65) (setq promien 3.805))
(if (= dn 80) (setq promien 4.445))
(if (= dn 100) (setq promien 5.715))
(if (= dn 125) (setq promien 6.985))
(if (= dn 150) (setq promien 8.255))
(if (= dn 200) (setq promien 10.955))
(if (= dn 250) (setq promien 13.65))
(if (= dn 300) (setq promien 16.195))
(if (and (/= dn 6) (/= dn 8) (/= dn 10) (/= dn 15) (/= dn 20) (/= dn 25) (/= dn 32) (/= dn 40) (/= dn 50) (/= dn 65) (/= dn 80) (/= dn 100) (/= dn 125) (/= dn 150) (/= dn 200) (/= dn 250) (/= dn 300))
(setq promien (/ dn 20))
);if


(cond
	(	(= DCL_Jednrur "mm")
		(setq	promien	(* promien 10.0)
				GrIzol	(* GrIzol 10.0)
		))
	(	(= DCL_Jednrur "cm")
		(setq	promien	(* promien 1.0)
				GrIzol	(* GrIzol 1.0)
		))
	(	(= DCL_Jednrur "m")
		(setq	promien	(* promien 0.01)
				GrIzol	(* GrIzol 0.01)
		))
);cond




(if (= DCL_Rgiecia "1.0")
	(progn
		(setq	punktA1 (polar OsKolana (+ pi ObrTru) promien)
				punktA1izol (polar OsKolana (+ pi ObrTru) (+ promien (/ GrIzol 10)))
				punktA2 (polar OsKolana (+ (* pi 1.5) ObrTru) promien)
				punktA3 (polar OsKolana (+ 0 ObrTru) promien)
				punktA3izol (polar OsKolana (+ 0 ObrTru) (+ promien (/ GrIzol 10)))
				punktB1 (polar punktA1 (+ (* pi 1.5) ObrTru) (* 2 promien))
				punktB1izol (polar punktB1 (+ pi ObrTru) (/ GrIzol 10))
				punktB2 (polar punktA2 (+ (* pi 1.5) ObrTru) promien)
				punktB3 (polar punktA3 (+ (* pi 1.5) ObrTru) (* 2 promien))
				punktB3izol (polar punktB3 (+ 0 ObrTru) (/ GrIzol 10))
		);setq
	);progn
	(progn
		(setq	punktA1 (polar OsKolana (+ pi ObrTru) promien)
				punktA1izol (polar OsKolana (+ pi ObrTru) (+ promien (/ GrIzol 10)))
				punktA2 (polar OsKolana (+ (* pi 1.5) ObrTru) promien)
				punktA3 (polar OsKolana (+ 0 ObrTru) promien)
				punktA3izol (polar OsKolana (+ 0 ObrTru) (+ promien (/ GrIzol 10)))
				punktB1 (polar punktA1 (+ (* pi 1.5) ObrTru) (* 3 promien))
				punktB1izol (polar punktB1 (+ pi ObrTru) (/ GrIzol 10))
				punktB2 (polar punktA2 (+ (* pi 1.5) ObrTru) (* 2 promien))
				punktB3 (polar punktA3 (+ (* pi 1.5) ObrTru) (* 3 promien))
				punktB3izol (polar punktB3 (+ 0 ObrTru) (/ GrIzol 10))
		);setq
	);progn
);if

(setvar "CLAYER" *START_WARSTWA*)
(setvar "CECOLOR" *START_KOLOR*)
(setvar "CELTYPE" *START_STYL_LINII*)
(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
(command "_line" punktA1 punktB1 punktB3 punktA3 "")
(command "_arc" "_c" OsKolana punktA3 punktA1)
	(setvar "CLAYER" "IS_rury_czarne_os")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_line" punktA2 punktB2 "");rysuje o kolana
	
(if (> GrIzol 0)
	(progn
		(setvar "CLAYER" "IS_rury_czarne_izolacja")
		(setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		(command "_line" punktA1izol punktB1izol "")
		(command "_line" punktA3izol punktB3izol "")
		(command "_arc" "_c" OsKolana punktA3izol punktA1izol)
	);progn
);if


);progn
);if

		
(mh:ustprzywr)


);defun kolmal90st_dol

;=========================================================================

;=========================================================================
(defun c:kolmal90st_pion ( / dcl_id DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur zamkniecie dn GrIzol OsKolana ObrTru promien punktA1 punktA2 punktA3 punktB1 punktB2 punktB3 punktC1 punktC2 punktC3 punktA1izol punktB1izol punktC1izol punktA3izol punktB3izol punktC3izol )

(mh:ustzap)


   (setq dcl_id (load_dialog "profilek-rury.dcl"))
	   (if (not (new_dialog "kolana" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-rury.dcl")
			(exit)
			);progn
		);if
		
		
 ;==================
(if (null *DCL_parametry_rur*)
	(setq *DCL_parametry_rur* (list "50.0" "0.0" "32.0" "0.0" "1.0" "cm"))
  );if  
	 (setq	DCL_dn (nth 0 *DCL_parametry_rur*)
			DCL_GrIzol (nth 1 *DCL_parametry_rur*)
			DCL_dnod (nth 2 *DCL_parametry_rur*)
			DCL_GrIzolod (nth 3 *DCL_parametry_rur*)
			DCL_Rgiecia (nth 4 *DCL_parametry_rur*)
			DCL_Jednrur (nth 5 *DCL_parametry_rur*)
      );setq 
;==================
      (foreach % (list "DCL_dn" "DCL_GrIzol" "DCL_Rgiecia" "DCL_Jednrur" "DCL_Jednrur")
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;==================	  
	
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
		
		(if (= zamkniecie 1)
			   (progn
						(setq *DCL_parametry_rur* (list DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur))
			  );progn
		);if	
		
;=========================================================================
(if (> (distof (mh:MsgCommaToDot DCL_dn) 2) 0)
(setq dn (distof (mh:MsgCommaToDot DCL_dn) 2))
(progn
(alert "rednica nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzol) 2) 0)
(setq GrIzol (distof (mh:MsgCommaToDot DCL_GrIzol) 2))
(progn
(alert "Grubo izolacji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	
;=========================================================================

(if (= zamkniecie 1)
(progn

;===========================================================
(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penychg" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================


(mh:warstwydorur)


;=============================================================
(setq	OsKolana (getpoint "\nWska punkt wstawienia kolan.")
		ObrTru (getangle OsKolana "\nWska kierunek odejcia grnego")
		ObrTru (- ObrTru (/ pi 2))
);setq
;=============================================================


;ustalenie rednicy waciwej rury na podstawie rednicy nominalnej
(if (= dn 6) (setq promien 0.51))
(if (= dn 8) (setq promien 0.675))
(if (= dn 10) (setq promien 0.86))
(if (= dn 15) (setq promien 1.065))
(if (= dn 20) (setq promien 1.345))
(if (= dn 25) (setq promien 1.685))
(if (= dn 32) (setq promien 2.12))
(if (= dn 40) (setq promien 2.415))
(if (= dn 50) (setq promien 3.015))
(if (= dn 65) (setq promien 3.805))
(if (= dn 80) (setq promien 4.445))
(if (= dn 100) (setq promien 5.715))
(if (= dn 125) (setq promien 6.985))
(if (= dn 150) (setq promien 8.255))
(if (= dn 200) (setq promien 10.955))
(if (= dn 250) (setq promien 13.65))
(if (= dn 300) (setq promien 16.195))
(if (and (/= dn 6) (/= dn 8) (/= dn 10) (/= dn 15) (/= dn 20) (/= dn 25) (/= dn 32) (/= dn 40) (/= dn 50) (/= dn 65) (/= dn 80) (/= dn 100) (/= dn 125) (/= dn 150) (/= dn 200) (/= dn 250) (/= dn 300))
(setq promien (/ dn 20))
);if



(cond
	(	(= DCL_Jednrur "mm")
		(setq	promien	(* promien 10.0)
				GrIzol	(* GrIzol 10.0)
		))
	(	(= DCL_Jednrur "cm")
		(setq	promien	(* promien 1.0)
				GrIzol	(* GrIzol 1.0)
		))
	(	(= DCL_Jednrur "m")
		(setq	promien	(* promien 0.01)
				GrIzol	(* GrIzol 0.01)
		))
);cond



(if (= DCL_Rgiecia "1.0")
(progn
(setq	punktA1 (polar OsKolana (+ pi ObrTru) promien)
		punktA2 (polar OsKolana (+ (* pi 1.5) ObrTru) promien)
		punktA3 (polar OsKolana (+ 0 ObrTru) promien)
		punktB1 (polar punktA1 (+ (* pi 1.5) ObrTru) (* 2 promien))
		punktB2 (polar punktA2 (+ (* pi 1.5) ObrTru) promien)
		punktB3 (polar punktA3 (+ (* pi 1.5) ObrTru) (* 2 promien))
		punktC1 (polar punktA1 (+ (/ pi 2) ObrTru) (* 2 promien))
		punktC2 (polar OsKolana (+ (/ pi 2) ObrTru) (* 2 promien))
		punktC3 (polar punktA3 (+ (/ pi 2) ObrTru) (* 2 promien))
		punktA1izol (polar OsKolana (+ pi ObrTru) (+ promien (/ GrIzol 10)))
		punktB1izol (polar punktB2 (+ pi ObrTru) (+ promien (/ GrIzol 10)))
		punktC1izol (polar punktC2 (+ pi ObrTru) (+ promien (/ GrIzol 10)))
		punktA3izol (polar OsKolana (+ 0 ObrTru) (+ promien (/ GrIzol 10)))
		punktB3izol (polar punktB2 (+ 0 ObrTru) (+ promien (/ GrIzol 10)))
		punktC3izol (polar punktC2 (+ 0 ObrTru) (+ promien (/ GrIzol 10)))
);setq
);progn
(progn
(setq	punktA1 (polar OsKolana (+ pi ObrTru) promien)
		punktA2 (polar OsKolana (+ (* pi 1.5) ObrTru) promien)
		punktA3 (polar OsKolana (+ 0 ObrTru) promien)
		punktB1 (polar punktA1 (+ (* pi 1.5) ObrTru) (* 3 promien))
		punktB2 (polar punktA2 (+ (* pi 1.5) ObrTru) (* 2 promien))
		punktB3 (polar punktA3 (+ (* pi 1.5) ObrTru) (* 3 promien))
		punktC1 (polar punktA1 (+ (/ pi 2) ObrTru) (* 3 promien))
		punktC2 (polar OsKolana (+ (/ pi 2) ObrTru) (* 3 promien))
		punktC3 (polar punktA3 (+ (/ pi 2) ObrTru) (* 3 promien))
		punktA1izol (polar OsKolana (+ pi ObrTru) (+ promien (/ GrIzol 10)))
		punktB1izol (polar punktB2 (+ pi ObrTru) (+ promien (/ GrIzol 10)))
		punktC1izol (polar punktC2 (+ pi ObrTru) (+ promien (/ GrIzol 10)))
		punktA3izol (polar OsKolana (+ 0 ObrTru) (+ promien (/ GrIzol 10)))
		punktB3izol (polar punktB2 (+ 0 ObrTru) (+ promien (/ GrIzol 10)))
		punktC3izol (polar punktC2 (+ 0 ObrTru) (+ promien (/ GrIzol 10)))
);setq
);progn
);if

(setvar "CLAYER" *START_WARSTWA*)
(setvar "CECOLOR" *START_KOLOR*)
(setvar "CELTYPE" *START_STYL_LINII*)
(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
(command "_line" punktA1 punktB1 punktB3 punktA3 punktC3 punktC1 punktA1 "")
(command "_arc" "_c" OsKolana punktA1 punktA3)

	(setvar "CLAYER" "IS_rury_czarne_os")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_line" punktA2 punktB2 "");rysuje o kolana
	(command "_line" punktC2 OsKolana "");rysuje o kolana

(if (> GrIzol 0)
	(progn
		(setvar "CLAYER" "IS_rury_czarne_izolacja")
		(setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		(command "_line" punktB1izol punktA1izol punktC1izol "")
		(command "_line" punktB3izol punktA3izol punktC3izol "")
		(command "_arc" "_c" OsKolana punktA1izol punktA3izol)
	);progn
);if


);progn
);if

		
(mh:ustprzywr)


);defun kolmal90st_pion

;=========================================================================

;=========================================================================
(defun c:kolmal90st_pion_p ( / dcl_id DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur zamkniecie dn GrIzol OsKolana ObrTru promien punktA1 punktA2 punktA3 punktB1 punktB2 punktB3 punktC1 punktC2 punktC3 punktC4 punktB1izol punktA1izol punktA2izol punktA3izol punktB3izol punktC1izol punktC3izol punktC4izol )


(mh:ustzap)


   (setq dcl_id (load_dialog "profilek-rury.dcl"))
	   (if (not (new_dialog "kolana" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-rury.dcl")
			(exit)
			);progn
		);if
		
		
 ;==================
(if (null *DCL_parametry_rur*)
	(setq *DCL_parametry_rur* (list "50.0" "0.0" "32.0" "0.0" "1.0" "cm"))
  );if  
	 (setq	DCL_dn (nth 0 *DCL_parametry_rur*)
			DCL_GrIzol (nth 1 *DCL_parametry_rur*)
			DCL_dnod (nth 2 *DCL_parametry_rur*)
			DCL_GrIzolod (nth 3 *DCL_parametry_rur*)
			DCL_Rgiecia (nth 4 *DCL_parametry_rur*)
			DCL_Jednrur (nth 5 *DCL_parametry_rur*)
      );setq 
;==================
      (foreach % (list "DCL_dn" "DCL_GrIzol" "DCL_Rgiecia" "DCL_Jednrur")
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;==================	  
	
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
		
		(if (= zamkniecie 1)
			   (progn
						(setq *DCL_parametry_rur* (list DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur))
			  );progn
		);if	
		
;=========================================================================
(if (> (distof (mh:MsgCommaToDot DCL_dn) 2) 0)
(setq dn (distof (mh:MsgCommaToDot DCL_dn) 2))
(progn
(alert "rednica nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzol) 2) 0)
(setq GrIzol (distof (mh:MsgCommaToDot DCL_GrIzol) 2))
(progn
(alert "Grubo izolacji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	
;=========================================================================

(if (= zamkniecie 1)
(progn

;===========================================================
(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penychg" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================


(mh:warstwydorur)


;=============================================================
(setq	OsKolana (getpoint "\nWska punkt wstawienia kolan.")
		ObrTru (getangle OsKolana "\nWska kierunek odejcia grnego")
		ObrTru (+ ObrTru (/ pi 2))
);setq
;=============================================================


;ustalenie rednicy waciwej rury na podstawie rednicy nominalnej
(if (= dn 6) (setq promien 0.51))
(if (= dn 8) (setq promien 0.675))
(if (= dn 10) (setq promien 0.86))
(if (= dn 15) (setq promien 1.065))
(if (= dn 20) (setq promien 1.345))
(if (= dn 25) (setq promien 1.685))
(if (= dn 32) (setq promien 2.12))
(if (= dn 40) (setq promien 2.415))
(if (= dn 50) (setq promien 3.015))
(if (= dn 65) (setq promien 3.805))
(if (= dn 80) (setq promien 4.445))
(if (= dn 100) (setq promien 5.715))
(if (= dn 125) (setq promien 6.985))
(if (= dn 150) (setq promien 8.255))
(if (= dn 200) (setq promien 10.955))
(if (= dn 250) (setq promien 13.65))
(if (= dn 300) (setq promien 16.195))
(if (and (/= dn 6) (/= dn 8) (/= dn 10) (/= dn 15) (/= dn 20) (/= dn 25) (/= dn 32) (/= dn 40) (/= dn 50) (/= dn 65) (/= dn 80) (/= dn 100) (/= dn 125) (/= dn 150) (/= dn 200) (/= dn 250) (/= dn 300))
(setq promien (/ dn 20))
);if


(cond
	(	(= DCL_Jednrur "mm")
		(setq	promien	(* promien 10.0)
				GrIzol	(* GrIzol 10.0)
		))
	(	(= DCL_Jednrur "cm")
		(setq	promien	(* promien 1.0)
				GrIzol	(* GrIzol 1.0)
		))
	(	(= DCL_Jednrur "m")
		(setq	promien	(* promien 0.01)
				GrIzol	(* GrIzol 0.01)
		))
);cond




(if (= DCL_Rgiecia "1.0")
(progn
(setq	punktA1 (polar OsKolana (+ pi ObrTru) promien)
		punktA2 (polar OsKolana (+ (/ pi 2) ObrTru) promien)
		punktA3 (polar OsKolana (+ 0 ObrTru) promien)
		punktB1 (polar punktA1 (+ (* pi 1.5) ObrTru) (* 2 promien))
		punktB2 (polar OsKolana (+ (* pi 1.5) ObrTru) (* 2 promien))
		punktB3 (polar punktA3 (+ (* pi 1.5) ObrTru) (* 2 promien))
		punktC1 (polar punktA2 (+ 0 ObrTru) (* 2 promien))
		punktC2 (polar OsKolana (+ 0 ObrTru) (* 2 promien))
		punktC3 (polar punktC2 (+ (* pi 1.5) ObrTru) promien)
		punktC4 (polar punktC3 (+ pi ObrTru) promien)
		punktB1izol (polar punktB1 (+ pi ObrTru) (/ GrIzol 10))
		punktA1izol (polar punktA1 (+ pi ObrTru) (/ GrIzol 10))
		punktA2izol (polar punktA2 (+ (/ pi 2) ObrTru) (/ GrIzol 10))
		punktA3izol (polar punktA3 (+ 0 ObrTru) (/ GrIzol 10))
		punktB3izol (polar punktB3 (+ 0 ObrTru) (/ GrIzol 10))
		punktC1izol (polar punktC1 (+ (/ pi 2) ObrTru) (/ GrIzol 10))
		punktC3izol (polar punktC3 (+ (* pi 1.5) ObrTru) (/ GrIzol 10))
		punktC4izol (polar punktC3izol (+ pi ObrTru) (- promien (/ GrIzol 10)))
);setq
);progn
(progn
(setq	punktA1 (polar OsKolana (+ pi ObrTru) promien)
		punktA2 (polar OsKolana (+ (/ pi 2) ObrTru) promien)
		punktA3 (polar OsKolana (+ 0 ObrTru) promien)
		punktB1 (polar punktA1 (+ (* pi 1.5) ObrTru) (* 3 promien))
		punktB2 (polar OsKolana (+ (* pi 1.5) ObrTru) (* 3 promien))
		punktB3 (polar punktA3 (+ (* pi 1.5) ObrTru) (* 3 promien))
		punktC1 (polar punktA2 (+ 0 ObrTru) (* 3 promien))
		punktC2 (polar OsKolana (+ 0 ObrTru) (* 3 promien))
		punktC3 (polar punktC2 (+ (* pi 1.5) ObrTru) promien)
		punktC4 (polar punktC3 (+ pi ObrTru) (* 2 promien))
		punktB1izol (polar punktB1 (+ pi ObrTru) (/ GrIzol 10))
		punktA1izol (polar punktA1 (+ pi ObrTru) (/ GrIzol 10))
		punktA2izol (polar punktA2 (+ (/ pi 2) ObrTru) (/ GrIzol 10))
		punktA3izol (polar punktA3 (+ 0 ObrTru) (/ GrIzol 10))
		punktB3izol (polar punktB3 (+ 0 ObrTru) (/ GrIzol 10))
		punktC1izol (polar punktC1 (+ (/ pi 2) ObrTru) (/ GrIzol 10))
		punktC3izol (polar punktC3 (+ (* pi 1.5) ObrTru) (/ GrIzol 10))
		punktC4izol (polar punktC3izol (+ pi ObrTru) (- (* 2 promien) (/ GrIzol 10)))
);setq
);progn
);if

(setvar "CLAYER" *START_WARSTWA*)
(setvar "CECOLOR" *START_KOLOR*)
(setvar "CELTYPE" *START_STYL_LINII*)
(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
(command "_line" punktA1 punktB1 punktB3 punktA3 "")
(command "_line" punktA2 punktC1 punktC3 punktC4 "")
(command "_arc" "_c" OsKolana punktA3 punktA1)
	(setvar "CLAYER" "IS_rury_czarne_os")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_line" punktA3 punktC2 "");rysuje o kolana
	(command "_line" punktB2 OsKolana "");rysuje o kolana


(if (> GrIzol 0)
	(progn
		(setvar "CLAYER" "IS_rury_czarne_izolacja")
		(setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		(command "_line" punktA1izol punktB1izol "")
		(command "_line" punktA3izol punktB3izol "")
		(command "_line" punktA2izol punktC1izol "")
		(command "_line" punktC3izol punktC4izol "")
		(command "_arc" "_c" OsKolana punktA3izol punktA1izol)
	);progn
);if


);progn
);if

		
(mh:ustprzywr)


);defun kolmal90st_pion_p

;=========================================================================

;=========================================================================
(defun c:kolmal90st_pion_l ( / dcl_id DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur zamkniecie dn GrIzol OsKolana ObrTru promien punktA1 punktA2 punktA3 punktB1 punktB2 punktB3 punktC1 punktC2 punktC3 punktC4 punktB1izol punktA1izol punktA2izol punktA3izol punktB3izol punktC1izol punktC3izol punktC4izol )

(mh:ustzap)


   (setq dcl_id (load_dialog "profilek-rury.dcl"))
	   (if (not (new_dialog "kolana" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-rury.dcl")
			(exit)
			);progn
		);if
		
		
 ;==================
(if (null *DCL_parametry_rur*)
	(setq *DCL_parametry_rur* (list "50.0" "0.0" "32.0" "0.0" "1.0" "cm"))
  );if  
	 (setq	DCL_dn (nth 0 *DCL_parametry_rur*)
			DCL_GrIzol (nth 1 *DCL_parametry_rur*)
			DCL_dnod (nth 2 *DCL_parametry_rur*)
			DCL_GrIzolod (nth 3 *DCL_parametry_rur*)
			DCL_Rgiecia (nth 4 *DCL_parametry_rur*)
			DCL_Jednrur (nth 5 *DCL_parametry_rur*)
      );setq 
;==================
      (foreach % (list "DCL_dn" "DCL_GrIzol" "DCL_Rgiecia" "DCL_Jednrur")
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;==================	  
	
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
		
			(if (= zamkniecie 1)
			   (progn
						(setq *DCL_parametry_rur* (list DCL_dn DCL_GrIzol DCL_dnod DCL_GrIzolod DCL_Rgiecia DCL_Jednrur))
			  );progn
		);if	
		
;=========================================================================
(if (> (distof (mh:MsgCommaToDot DCL_dn) 2) 0)
(setq dn (distof (mh:MsgCommaToDot DCL_dn) 2))
(progn
(alert "rednica nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	

(if (>= (distof (mh:MsgCommaToDot DCL_GrIzol) 2) 0)
(setq GrIzol (distof (mh:MsgCommaToDot DCL_GrIzol) 2))
(progn
(alert "Grubo izolacji nie jest wpisana poprawnie!")
(setq zamkniecie 0)
)
)	
;=========================================================================

(if (= zamkniecie 1)
(progn

;===========================================================
(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penychg" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================


(mh:warstwydorur)


;=============================================================
(setq	OsKolana (getpoint "\nWska punkt wstawienia kolan.")
		ObrTru (getangle OsKolana "\nWska kierunek odejcia grnego")
		ObrTru (+ ObrTru (/ pi 2))
);setq
;=============================================================


;ustalenie rednicy waciwej rury na podstawie rednicy nominalnej
(if (= dn 6) (setq promien 0.51))
(if (= dn 8) (setq promien 0.675))
(if (= dn 10) (setq promien 0.86))
(if (= dn 15) (setq promien 1.065))
(if (= dn 20) (setq promien 1.345))
(if (= dn 25) (setq promien 1.685))
(if (= dn 32) (setq promien 2.12))
(if (= dn 40) (setq promien 2.415))
(if (= dn 50) (setq promien 3.015))
(if (= dn 65) (setq promien 3.805))
(if (= dn 80) (setq promien 4.445))
(if (= dn 100) (setq promien 5.715))
(if (= dn 125) (setq promien 6.985))
(if (= dn 150) (setq promien 8.255))
(if (= dn 200) (setq promien 10.955))
(if (= dn 250) (setq promien 13.65))
(if (= dn 300) (setq promien 16.195))
(if (and (/= dn 6) (/= dn 8) (/= dn 10) (/= dn 15) (/= dn 20) (/= dn 25) (/= dn 32) (/= dn 40) (/= dn 50) (/= dn 65) (/= dn 80) (/= dn 100) (/= dn 125) (/= dn 150) (/= dn 200) (/= dn 250) (/= dn 300))
(setq promien (/ dn 20))
);if



(cond
	(	(= DCL_Jednrur "mm")
		(setq	promien	(* promien 10.0)
				GrIzol	(* GrIzol 10.0)
		))
	(	(= DCL_Jednrur "cm")
		(setq	promien	(* promien 1.0)
				GrIzol	(* GrIzol 1.0)
		))
	(	(= DCL_Jednrur "m")
		(setq	promien	(* promien 0.01)
				GrIzol	(* GrIzol 0.01)
		))
);cond



(if (= DCL_Rgiecia "1.0")
(progn
(setq	punktA1 (polar OsKolana (+ pi ObrTru) promien)
		punktA2 (polar OsKolana (+ (/ pi 2) ObrTru) promien)
		punktA3 (polar OsKolana (+ 0 ObrTru) promien)
		punktB1 (polar punktA1 (+ (* pi 1.5) ObrTru) (* 2 promien))
		punktB2 (polar OsKolana (+ (* pi 1.5) ObrTru) (* 2 promien))
		punktB3 (polar punktA3 (+ (* pi 1.5) ObrTru) (* 2 promien))
		punktC1 (polar punktA2 (+ pi ObrTru) (* 2 promien))
		punktC2 (polar OsKolana (+ pi ObrTru) (* 2 promien))
		punktC3 (polar punktC2 (+ (* pi 1.5) ObrTru) promien)
		punktC4 (polar punktC3 (+ 0 ObrTru) promien)
		punktB1izol (polar punktB1 (+ pi ObrTru) (/ GrIzol 10))
		punktA1izol (polar punktA1 (+ pi ObrTru) (/ GrIzol 10))
		punktA2izol (polar punktA2 (+ (/ pi 2) ObrTru) (/ GrIzol 10))
		punktA3izol (polar punktA3 (+ 0 ObrTru) (/ GrIzol 10))
		punktB3izol (polar punktB3 (+ 0 ObrTru) (/ GrIzol 10))
		punktC1izol (polar punktC1 (+ (/ pi 2) ObrTru) (/ GrIzol 10))
		punktC3izol (polar punktC3 (+ (* pi 1.5) ObrTru) (/ GrIzol 10))
		punktC4izol (polar punktC3izol (+ 0 ObrTru) (- promien (/ GrIzol 10)))
);setq
);progn
(progn
(setq	punktA1 (polar OsKolana (+ pi ObrTru) promien)
		punktA2 (polar OsKolana (+ (/ pi 2) ObrTru) promien)
		punktA3 (polar OsKolana (+ 0 ObrTru) promien)
		punktB1 (polar punktA1 (+ (* pi 1.5) ObrTru) (* 3 promien))
		punktB2 (polar OsKolana (+ (* pi 1.5) ObrTru) (* 3 promien))
		punktB3 (polar punktA3 (+ (* pi 1.5) ObrTru) (* 3 promien))
		punktC1 (polar punktA2 (+ pi ObrTru) (* 3 promien))
		punktC2 (polar OsKolana (+ pi ObrTru) (* 3 promien))
		punktC3 (polar punktC2 (+ (* pi 1.5) ObrTru) promien)
		punktC4 (polar punktC3 (+ 0 ObrTru) (* 2 promien))
		punktB1izol (polar punktB1 (+ pi ObrTru) (/ GrIzol 10))
		punktA1izol (polar punktA1 (+ pi ObrTru) (/ GrIzol 10))
		punktA2izol (polar punktA2 (+ (/ pi 2) ObrTru) (/ GrIzol 10))
		punktA3izol (polar punktA3 (+ 0 ObrTru) (/ GrIzol 10))
		punktB3izol (polar punktB3 (+ 0 ObrTru) (/ GrIzol 10))
		punktC1izol (polar punktC1 (+ (/ pi 2) ObrTru) (/ GrIzol 10))
		punktC3izol (polar punktC3 (+ (* pi 1.5) ObrTru) (/ GrIzol 10))
		punktC4izol (polar punktC3izol (+ 0 ObrTru) (- (* 2 promien) (/ GrIzol 10)))
);setq
);progn
);if

(setvar "CLAYER" *START_WARSTWA*)
(setvar "CECOLOR" *START_KOLOR*)
(setvar "CELTYPE" *START_STYL_LINII*)
(setvar "CELWEIGHT" *START_GRUBOSC_LINII*)
(command "_line" punktA1 punktB1 punktB3 punktA3 "")
(command "_line" punktA2 punktC1 punktC3 punktC4 "")
(command "_arc" "_c" OsKolana punktA3 punktA1)
	(setvar "CLAYER" "IS_rury_czarne_os")
	(setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)
	(command "_line" punktA1 punktC2 "");rysuje o kolana
	(command "_line" punktB2 OsKolana "");rysuje o kolana


(if (> GrIzol 0)
	(progn
		(setvar "CLAYER" "IS_rury_czarne_izolacja")
		(setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		(command "_line" punktA1izol punktB1izol "")
		(command "_line" punktA3izol punktB3izol "")
		(command "_line" punktA2izol punktC1izol "")
		(command "_line" punktC3izol punktC4izol "")
		(command "_arc" "_c" OsKolana punktA3izol punktA1izol)
	);progn
);if

);progn
);if

		
(mh:ustprzywr)


);defun kolmal90st_pion_l

;=========================================================================

;=========================================================================
(defun c:war_co ( / ECHO_MEMBER)

(setq	ECHO_MEMBER (getvar "CMDECHO"))
(setvar "CMDECHO" 0)

;=============================================================
(mh:ENT_Make_Layer "IS_rury_czarne_CO_powrot" 5 "CONTINUOUS" 25 1 0 nil)
(mh:ENT_Make_Layer "IS_rury_czarne_CO_zasilanie" 1 "CONTINUOUS" 25 1 0 nil)
;=============================================================

(command 	"_cecolor" "BYLAYER"
			"_celtype" "BYLAYER"
			"_celweight" (- 0 1)
);command


(if (= "IS_rury_czarne_CO_powrot" (getvar "CLAYER"))
	(setvar "CLAYER" "IS_rury_czarne_CO_zasilanie")
	(setvar "CLAYER" "IS_rury_czarne_CO_powrot")
);if

(setvar "CMDECHO" ECHO_MEMBER)
(princ)

);defun war_co
;=========================================================================

;=========================================================================
(defun c:war_wodne ( / ECHO_MEMBER)

(setq	ECHO_MEMBER (getvar "CMDECHO"))
(setvar "CMDECHO" 0)

;=============================================================
(mh:ENT_Make_Layer "IS_rury_czarne_WZ" 4 "CONTINUOUS" 25 1 0 nil)
(mh:ENT_Make_Layer "IS_rury_czarne_WC" 30 "CONTINUOUS" 25 1 0 nil)
(mh:ENT_Make_Layer "IS_rury_czarne_CYR" 6 "CONTINUOUS" 25 1 0 nil)
;=============================================================

(command 	"_cecolor" "BYLAYER"
			"_celtype" "BYLAYER"
			"_celweight" (- 0 1)
);command


(if (= "IS_rury_czarne_WC" (getvar "CLAYER"))
(setvar "CLAYER" "IS_rury_czarne_CYR")
	(progn
	(if (= "IS_rury_czarne_WZ" (getvar "CLAYER"))
	(setvar "CLAYER" "IS_rury_czarne_WC")
		(progn
		(if (and (/= "IS_rury_czarne_WZ" (getvar "CLAYER")) (/= "IS_rury_czarne_WC" (getvar "CLAYER")))
		(setvar "CLAYER" "IS_rury_czarne_WZ")
		);if
		);progn
	);if
	);progn
);if

(setvar "CMDECHO" ECHO_MEMBER)
(princ)

);defun war_wodne
;=========================================================================

;=========================================================================
(defun c:war_sieciowe ( / ECHO_MEMBER)

(setq	ECHO_MEMBER (getvar "cmdecho"))
(setvar "cmdecho" 0)

;=============================================================
(mh:ENT_Make_Layer "IS_rury_czarne_siec_zasilanie" 106 "CONTINUOUS" 25 1 0 nil)
(mh:ENT_Make_Layer "IS_rury_czarne_siec_powrot" 70 "CONTINUOUS" 25 1 0 nil)
;=============================================================

(command 	"_cecolor" "BYLAYER"
			"_celtype" "BYLAYER"
			"_celweight" (- 0 1)
);command


(if (= "IS_rury_czarne_siec_zasilanie" (getvar "CLAYER"))
	(setvar "CLAYER" "IS_rury_czarne_siec_powrot")
	(setvar "CLAYER" "IS_rury_czarne_siec_zasilanie")
);if

(setvar "cmdecho" ECHO_MEMBER)
(princ)

);defun war_sieciowe
;=========================================================================

;=========================================================================
(defun c:war_gazowe ( / ECHO_MEMBER)

(setq	ECHO_MEMBER (getvar "cmdecho"))
(setvar "cmdecho" 0)

;=============================================================
(mh:ENT_Make_Layer "IS_rury_czarne_gaz_ziemny" 42 "CONTINUOUS" 25 1 0 nil)
(mh:ENT_Make_Layer "IS_rury_czarne_gaz_LPG" 134 "CONTINUOUS" 25 1 0 nil)
;=============================================================

(command 	"_cecolor" "BYLAYER"
			"_celtype" "BYLAYER"
			"_celweight" (- 0 1)
);command


(if (= "IS_rury_czarne_gaz_ziemny" (getvar "clayer"))
	(setvar "CLAYER" "IS_rury_czarne_gaz_LPG")
	(setvar "CLAYER" "IS_rury_czarne_gaz_ziemny")
);if

(setvar "cmdecho" ECHO_MEMBER)
(princ)

);defun war_gazowe
;=========================================================================

;=========================================================================
(defun mh:warstwydorur ()

	(mh:ACX_LoadLineType "profilek.lin" "IS_osie_v002" nil)
	
	(mh:ENT_Make_Layer "IS_niedruk" 2 "CONTINUOUS" 5 0 0 nil)
	(mh:ENT_Make_Layer "IS_rury_czarne_os" 51 "IS_osie_v002" 5 1 0 nil)
	(mh:ENT_Make_Layer "IS_rury_czarne_izolacja" 251 "CONTINUOUS" 5 1 0 nil)

);defun
;=========================================================================
